A schedule formed by adding interval increments to an anchor_date. If no
anchor_date is supplied, the current UTC time is used. If a
timezone-naive datetime is provided for anchor_date, it is assumed to be
in the schedule's timezone (or UTC). Even if supplied with an IANA timezone,
anchor dates are always stored as UTC offsets, so a timezone can be
provided to determine localization behaviors like DST boundary handling. If
none is provided it will be inferred from the anchor date.
NOTE: If the IntervalScheduleanchor_date or timezone is provided in a
DST-observing timezone, then the schedule will adjust itself appropriately.
Intervals greater than 24 hours will follow DST conventions, while intervals
of less than 24 hours will follow UTC intervals. For example, an hourly
schedule will fire every UTC hour, even across DST boundaries. When clocks
are set back, this will result in two runs that appear to both be
scheduled for 1am local time, even though they are an hour apart in UTC
time. For longer intervals, like a daily schedule, the interval schedule
will adjust for DST boundaries so that the clock-hour remains constant. This
means that a daily schedule that always fires at 9am will observe DST and
continue to fire at 9am in the local time zone.
Args:
interval (datetime.timedelta): an interval to schedule on.
anchor_date (DateTime, optional): an anchor date to schedule increments against;
if not provided, the current timestamp will be used.
timezone (str, optional): a valid timezone string.
A schedule formed by adding interval increments to an anchor_date. If no
anchor_date is supplied, the current UTC time is used. If a
timezone-naive datetime is provided for anchor_date, it is assumed to be
in the schedule's timezone (or UTC). Even if supplied with an IANA timezone,
anchor dates are always stored as UTC offsets, so a timezone can be
provided to determine localization behaviors like DST boundary handling. If
none is provided it will be inferred from the anchor date.
NOTE: If the IntervalScheduleanchor_date or timezone is provided in a
DST-observing timezone, then the schedule will adjust itself appropriately.
Intervals greater than 24 hours will follow DST conventions, while intervals
of less than 24 hours will follow UTC intervals. For example, an hourly
schedule will fire every UTC hour, even across DST boundaries. When clocks
are set back, this will result in two runs that appear to both be
scheduled for 1am local time, even though they are an hour apart in UTC
time. For longer intervals, like a daily schedule, the interval schedule
will adjust for DST boundaries so that the clock-hour remains constant. This
means that a daily schedule that always fires at 9am will observe DST and
continue to fire at 9am in the local time zone.
Args:
interval (datetime.timedelta): an interval to schedule on.
anchor_date (DateTime, optional): an anchor date to schedule increments against;
if not provided, the current timestamp will be used.
timezone (str, optional): a valid timezone string.
{"docsConfig":{"theme":"mint","$schema":"https://mintlify.com/docs.json","name":"Prefect","colors":{"primary":"#2D6DF6","light":"#5F92FF","dark":"#2D6DF6"},"logo":{"light":"https://mintcdn.com/prefect-bd373955/2_4m_dDmEdgqK7r9/logos/logo-wordmark-dark.svg?fit=max\u0026auto=format\u0026n=2_4m_dDmEdgqK7r9\u0026q=85\u0026s=076c95a93dbe29192ba9129faefcc878","dark":"https://mintcdn.com/prefect-bd373955/2_4m_dDmEdgqK7r9/logos/logo-wordmark-light.svg?fit=max\u0026auto=format\u0026n=2_4m_dDmEdgqK7r9\u0026q=85\u0026s=46ef25a1069c303ca7d9e24ec801e760","href":"https://www.prefect.io/docs"},"favicon":"https://mintcdn.com/prefect-bd373955/2_4m_dDmEdgqK7r9/logos/favicon.svg?fit=max\u0026auto=format\u0026n=2_4m_dDmEdgqK7r9\u0026q=85\u0026s=c0e62122cb72036e569b2656916a1b33","api":{"playground":{"display":"simple"}},"appearance":{"default":"light","strict":false},"navbar":{"primary":{"type":"github","href":"https://github.com/PrefectHQ/Prefect"}},"footer":{"socials":{"bluesky":"https://bsky.app/profile/prefect.io","github":"https://github.com/PrefectHQ/prefect","linkedin":"https://www.linkedin.com/company/prefect/mycompany","slack":"https://prefect.io/slack","x":"https://x.com/PrefectIO","youtube":"https://www.youtube.com/c/PrefectIO"}},"seo":{"metatags":{"canonical":"https://www.prefect.io/docs"}},"integrations":{"ga4":{"measurementId":"G-8GR5P04T5Y"},"gtm":{"tagId":"GTM-N633BZ8"}},"errors":{"404":{"redirect":false}},"contextual":{"options":["copy","view"],"display":"header"},"styling":{"latex":true},"navigation":{"pages":[]}},"deployment":{"deploymentMetadataValue":{"subdomain":"prefect-bd373955","hasAudioNarration":false,"actualSubdomain":"prefect-bd373955","customDomains":[],"gitSource":{"type":"github","owner":"prefecthq","repo":"prefect","deployBranch":"main","contentDirectory":"docs","isPrivate":false,"mountPath":"","label":""},"feedback":{"thumbs":true},"entitlements":{"AI_CHAT":{"status":"ENABLED"},"REMOVE_BRANDING":{"status":"ENABLED"},"CONTEXTUAL_FEEDBACK":{"status":"ENABLED"},"CODE_SNIPPET_FEEDBACK":{"status":"ENABLED"},"WEB_MCP":{"status":"ENABLED"},"NARRATION":{"status":"ENABLED"}},"buildId":"6aee42ba68213475f1385309","clientVersion":"0.0.4087","searchFilterCounts":[{"language":"default","tag":"API Reference","count":1172},{"language":"default","tag":"Python SDK Reference","count":364},{"language":"default","tag":"Integrations","count":329},{"language":"default","tag":"REST API","count":183},{"language":"default","tag":"Server API","count":181},{"language":"default","tag":"prefect.server","count":148},{"language":"default","tag":"SDK Reference","count":127},{"language":"default","tag":"How-to Guides","count":71},{"language":"default","tag":"models","count":60},{"language":"default","tag":"api","count":39}]},"assistantConfig":{},"basePath":"/docs","hasChatPermissions":true,"hasWebMcpPermissions":true,"toggles":[{"name":"kill-isr","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-mintlify-slack","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"agent-integrations-settings","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"rbac-expansion","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-pr-grouping","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"custom-prefix","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"analytics-v7","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"user-flows-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"no-publish-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-onboarding","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"llms-txt-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving-live","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"stripTemperatureMiddleware","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"support-platform-pylon-zendesk","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"snapshot-serving","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"instant-rollback","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications-server","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"granular-notifications","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automations-fable","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fixed-ai-action-pricing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"automation-resolve-merge-conflict","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"scoped-publishing","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"mintql","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"page-level-analytics","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-version-history-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"billing-page-v2","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"full-page-search","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workspace-projects","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"assistant-v5","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"fork-pr-previews","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"revalidation-jwt","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-sso-scim","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"hobby-abuse-scan","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"dashboard-inbox","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-signup","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-dual-write","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"workos-enabled","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"approve-review-flow","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"editor-metadata","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"sso-setup-deadline-banner","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"turbopuffer-serve","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"live-agents","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false},{"name":"comment-mode","enabled":true,"variant":{"name":"disabled","enabled":false,"feature_enabled":true},"impressionData":false}],"googleFontsInlined":false},"customCss":[{"filePath":"styles.css","content":"#topbar-cta-button>a>span{background-color:#2d6df6;border-radius:0.25rem}#topbar-cta-button>a{padding:0.5rem 1rem}#topbar-cta-button>a div>span{font-weight:400;letter-spacing:0.4px}#topbar-cta-button>a div>span,#topbar-cta-button>a div>svg{color:#fff}img{filter:none!important}@import url(\"https://fonts.googleapis.com/css2?family=Inter:wght@400;500;700\u0026display=swap\");@import url(\"https://fonts.googleapis.com/css2?family=Roboto:wght@400;500;700\u0026display=swap\");body{font-family:\"Inter\", sans-serif}h1,h2,h3,h4,h5,h6{font-family:\"Roboto\", sans-serif}p{font-family:\"Inter\", sans-serif}[role=\"listitem\"] *:last-child:not(.code-block,.link){border-bottom:none!important}.badge{display:table;margin:0 0 1rem;font-family:\"Inter\", sans-serif;font-size:0.6875rem;font-weight:600;line-height:1;letter-spacing:0.02em;text-transform:uppercase;padding:0.35em 0.6em;border-radius:0.375rem;white-space:nowrap}.badge.cloud{color:#fff;background-color:#2d6df6}.badge.cloud::after{content:\"Prefect Cloud\"}"},{"filePath":"assets/code.css","content":".namespace{opacity:0.7}.token.doctype .token.doctype-tag{color:#79c0ff}.token.doctype .token.name{color:#d2a8ff}.token.comment,.token.prolog{color:#8b949e}.token.punctuation,.language-html .language-css .token.punctuation,.language-html .language-javascript .token.punctuation{color:#c9d1d9}.token.property,.token.tag,.token.boolean,.token.number,.token.constant,.token.symbol,.token.inserted,.token.unit{color:#79c0ff}.token.selector,.token.attr-name,.token.string,.token.char,.token.builtin,.token.deleted{color:#79c0ff}.token.plain-text{color:#fafafa}.language-css .token.string.url{text-decoration:underline}.token.operator,.token.entity{color:#79c0ff}.token.operator.arrow{color:#ff7b72}.token.atrule{color:#79c0ff}.token.atrule .token.rule{color:#d2a8ff}.token.atrule .token.url{color:#79c0ff}.token.atrule .token.url .token.function{color:#79c0ff}.token.atrule .token.url .token.punctuation{color:#d4d4d4}.token.keyword{color:#ff7b72}.token.keyword.module,.token.keyword.control-flow{color:#c586c0}.token.function,.token.function .token.maybe-class-name{color:#d2a8ff}.token.regex{color:#a5d6ff}.token.important{color:#ff7b72}.token.italic{font-style:italic;color:#c9d1d9}.token.constant{color:#79c0ff}.token.class-name,.token.maybe-class-name{color:#d2a8ff}.token.console{color:#9cdcfe}.token.parameter{color:#79c0ff}.token.interpolation{color:#79c0ff}.token.punctuation.interpolation-punctuation{color:#569cd6}.token.boolean{color:#ff7b72}.token.property,.token.variable,.token.imports .token.maybe-class-name,.token.exports .token.maybe-class-name{color:#79c0ff}.token.selector{color:#7ee787}.token.escape{color:#7ee787}.token.tag{color:#7ee787}.token.tag .token.punctuation{color:#808080}.token.cdata{color:#808080}.token.attr-name{color:#79c0ff}.token.attr-value,.token.attr-value .token.punctuation{color:#a5d6ff}.token.attr-value .token.punctuation.attr-equals{color:#d4d4d4}.token.entity{color:#79c0ff}.token.namespace{color:#7ee787}.token.operator{color:#94a3b8}pre[class*=\"language-javascript\"],code[class*=\"language-javascript\"],pre[class*=\"language-jsx\"],code[class*=\"language-jsx\"],pre[class*=\"language-typescript\"],code[class*=\"language-typescript\"],pre[class*=\"language-tsx\"],code[class*=\"language-tsx\"]{color:#79c0ff}pre[class*=\"language-css\"],code[class*=\"language-css\"]{color:#a5d6ff}pre[class*=\"language-html\"],code[class*=\"language-html\"]{color:#c9d1d9}.language-regex .token.anchor{color:#dcdcaa}.language-html .token.punctuation{color:#808080}span.language-json .token.punctuation{color:#4b5563}:is(.dark span.language-json .token.punctuation){color:#d1d5db}span.language-json .token.property{color:#0284c7}:is(.dark span.language-json .token.property){color:9cdcfe}span.language-json .token.string{color:#d97706}:is(.dark span.language-json .token.string){color:#ce9178}span.language-json .token.number{color:#16a34a}:is(.dark span.language-json .token.number){color:#b5cea8}.line-highlight.line-highlight{background:#f7ebc6;box-shadow:inset 5px 0 0 #f7d87c;z-index:0}"}],"page":{"pagePath":"v3/api-ref/rest-api/server/deployments/create-deployment-schedules","slug":"/v3/api-ref/rest-api/server/deployments/create-deployment-schedules","pageMetadata":{"openapi":"post /deployments/{id}/schedules","title":"Create Deployment Schedules","description":null,"href":"/v3/api-ref/rest-api/server/deployments/create-deployment-schedules"},"pageType":"default","mdx":{"mdxSource":{"compiledSource":"\"use strict\";const{Fragment:_Fragment,jsx:_jsx}=arguments[0];const{useMDXComponents:_provideComponents}=arguments[0];function _createMdxContent(props){return _jsx(_Fragment,{})}function MDXContent(props={}){const{wrapper:MDXLayout}={..._provideComponents(),...props.components};return MDXLayout?_jsx(MDXLayout,{...props,children:_jsx(_createMdxContent,{...props})}):_createMdxContent(props)}return{default:MDXContent}","frontmatter":{},"scope":{"config":{},"pageMetadata":{"openapi":"post /deployments/{id}/schedules","title":"Create Deployment Schedules","description":null,"href":"/v3/api-ref/rest-api/server/deployments/create-deployment-schedules"}}},"mdxSourceWithNoJs":null},"mdxExtracts":{"tableOfContents":[],"codeExamples":{}},"jsLinks":["/docs/_mintlify/custom/prefect-bd373955/4f3e55fa53d4a575/script.js","/docs/_mintlify/custom/prefect-bd373955/87a13774513287dd/osano.js","/docs/_mintlify/custom/prefect-bd373955/e7b7298d9b02df32/outbound-referrer.js"],"openApiReferenceData":{"operation":{"tags":["Deployments"],"summary":"Create Deployment Schedules","operationId":"create_deployment_schedules_deployments__id__schedules_post","parameters":["d668fb77-2e51-4221-9ff9-0ca62823e542","e03cc868-8bc6-4c99-92f4-048ec0d5aa0c"],"requestBody":"4232ed92-fd32-4629-9e82-ac94f2f692be","responses":{"201":"ce88a28c-f51e-4a6d-b617-9c0b1d3a6f04","422":"94deb213-1687-4d50-9e54-c5e33ce0a6d6"},"method":"post","type":"path","servers":[],"security":[],"path":"/deployments/{id}/schedules","baseUrlOptions":[],"title":"Create Deployment Schedules","description":"","codeSamples":[],"requiredOnlyExamples":false,"requestExampleType":"generated","responseExampleType":"generated"},"dependencies":{"parameters":{"d668fb77-2e51-4221-9ff9-0ca62823e542":{"name":"id","in":"path","required":true,"schema":{"type":"string","format":"uuid","description":"The deployment id","title":"Id","isRequired":true,"uniqueKey":"","typeLabel":"string\u003cuuid>"},"description":"The deployment id"},"e03cc868-8bc6-4c99-92f4-048ec0d5aa0c":{"name":"x-prefect-api-version","in":"header","required":false,"schema":{"type":"string","title":"X-Prefect-Api-Version","isRequired":false,"uniqueKey":"","typeLabel":"string"}}},"requestBody":{"required":true,"content":{"application/json":{"schema":{"type":"array","items":{"properties":{"schedule":{"oneOf":[{"type":"object","title":"IntervalSchedule","description":"A schedule formed by adding `interval` increments to an `anchor_date`. If no\n`anchor_date` is supplied, the current UTC time is used. If a\ntimezone-naive datetime is provided for `anchor_date`, it is assumed to be\nin the schedule's timezone (or UTC). Even if supplied with an IANA timezone,\nanchor dates are always stored as UTC offsets, so a `timezone` can be\nprovided to determine localization behaviors like DST boundary handling. If\nnone is provided it will be inferred from the anchor date.\n\nNOTE: If the `IntervalSchedule` `anchor_date` or `timezone` is provided in a\nDST-observing timezone, then the schedule will adjust itself appropriately.\nIntervals greater than 24 hours will follow DST conventions, while intervals\nof less than 24 hours will follow UTC intervals. For example, an hourly\nschedule will fire every UTC hour, even across DST boundaries. When clocks\nare set back, this will result in two runs that *appear* to both be\nscheduled for 1am local time, even though they are an hour apart in UTC\ntime. For longer intervals, like a daily schedule, the interval schedule\nwill adjust for DST boundaries so that the clock-hour remains constant. This\nmeans that a daily schedule that always fires at 9am will observe DST and\ncontinue to fire at 9am in the local time zone.\n\nArgs:\n interval (datetime.timedelta): an interval to schedule on.\n anchor_date (DateTime, optional): an anchor date to schedule increments against;\n if not provided, the current timestamp will be used.\n timezone (str, optional): a valid timezone string.","required":["interval"],"properties":{"interval":{"oneOf":[{"type":"number","title":"Interval","minimum":0,"exclusiveMinimum":true,"isRequired":true,"uniqueKey":"items.[INDEX].schedule.oneOf.0.interval.oneOf.0","typeLabel":"number"},{"type":"string","title":"Interval","isRequired":true,"uniqueKey":"items.[INDEX].schedule.oneOf.0.interval.oneOf.1","typeLabel":"string"}],"isRequired":true,"uniqueKey":"items.[INDEX].schedule.oneOf.0.interval","typeLabel":"number | string"},"anchor_date":{"type":"string","format":"date-time","title":"Anchor Date","examples":["2020-01-01T00:00:00Z"],"uniqueKey":"items.[INDEX].schedule.oneOf.0.anchor_date","typeLabel":"string\u003cdate-time>"},"timezone":{"oneOf":[{"type":"string","title":"Timezone","example":"America/New_York","uniqueKey":"items.[INDEX].schedule.oneOf.0.timezone.oneOf.0","typeLabel":"string"},{"type":"null","title":"Timezone","example":"America/New_York","uniqueKey":"items.[INDEX].schedule.oneOf.0.timezone.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].schedule.oneOf.0.timezone","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"items.[INDEX].schedule.oneOf.0","typeLabel":"IntervalSchedule · object"},{"type":"object","title":"CronSchedule","description":"Cron schedule\n\nNOTE: If the timezone is a DST-observing one, then the schedule will adjust\nitself appropriately. Cron's rules for DST are based on schedule times, not\nintervals. This means that an hourly cron schedule will fire on every new\nschedule hour, not every elapsed hour; for example, when clocks are set back\nthis will result in a two-hour pause as the schedule will fire *the first\ntime* 1am is reached and *the first time* 2am is reached, 120 minutes later.\nLonger schedules, such as one that fires at 9am every morning, will\nautomatically adjust for DST.\n\nArgs:\n cron (str): a valid cron string\n timezone (str): a valid timezone string in IANA tzdata format (for example,\n America/New_York).\n day_or (bool, optional): Control how croniter handles `day` and `day_of_week`\n entries. Defaults to True, matching cron which connects those values using\n OR. If the switch is set to False, the values are connected using AND. This\n behaves like fcron and enables you to e.g. define a job that executes each\n 2nd friday of a month by setting the days of month and the weekday.","required":["cron"],"properties":{"cron":{"type":"string","title":"Cron","examples":["0 0 * * *"],"isRequired":true,"uniqueKey":"items.[INDEX].schedule.oneOf.1.cron","typeLabel":"string"},"timezone":{"oneOf":[{"type":"string","title":"Timezone","example":"America/New_York","uniqueKey":"items.[INDEX].schedule.oneOf.1.timezone.oneOf.0","typeLabel":"string"},{"type":"null","title":"Timezone","example":"America/New_York","uniqueKey":"items.[INDEX].schedule.oneOf.1.timezone.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].schedule.oneOf.1.timezone","typeLabel":"string | null"},"day_or":{"type":"boolean","title":"Day Or","description":"Control croniter behavior for handling day and day_of_week entries.","default":true,"uniqueKey":"items.[INDEX].schedule.oneOf.1.day_or","typeLabel":"boolean"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"items.[INDEX].schedule.oneOf.1","typeLabel":"CronSchedule · object"},{"type":"object","title":"RRuleSchedule","description":"RRule schedule, based on the iCalendar standard\n([RFC 5545](https://datatracker.ietf.org/doc/html/rfc5545)) as\nimplemented in `dateutils.rrule`.\n\nRRules are appropriate for any kind of calendar-date manipulation, including\nirregular intervals, repetition, exclusions, week day or day-of-month\nadjustments, and more.\n\nNote that as a calendar-oriented standard, `RRuleSchedules` are sensitive to\nto the initial timezone provided. A 9am daily schedule with a daylight saving\ntime-aware start date will maintain a local 9am time through DST boundaries;\na 9am daily schedule with a UTC start date will maintain a 9am UTC time.\n\nArgs:\n rrule (str): a valid RRule string\n timezone (str, optional): a valid timezone string","required":["rrule"],"properties":{"rrule":{"type":"string","title":"Rrule","isRequired":true,"uniqueKey":"items.[INDEX].schedule.oneOf.2.rrule","typeLabel":"string"},"timezone":{"oneOf":[{"type":"string","title":"Timezone","default":"UTC","pattern":"Africa/Abidjan|Africa/Accra|Africa/Addis_Ababa|Africa/Algiers|Africa/Asmara|Africa/Asmera|Africa/Bamako|Africa/Bangui|Africa/Banjul|Africa/Bissau|Africa/Blantyre|Africa/Brazzaville|Africa/Bujumbura|Africa/Cairo|Africa/Casablanca|Africa/Ceuta|Africa/Conakry|Africa/Dakar|Africa/Dar_es_Salaam|Africa/Djibouti|Africa/Douala|Africa/El_Aaiun|Africa/Freetown|Africa/Gaborone|Africa/Harare|Africa/Johannesburg|Africa/Juba|Africa/Kampala|Africa/Khartoum|Africa/Kigali|Africa/Kinshasa|Africa/Lagos|Africa/Libreville|Africa/Lome|Africa/Luanda|Africa/Lubumbashi|Africa/Lusaka|Africa/Malabo|Africa/Maputo|Africa/Maseru|Africa/Mbabane|Africa/Mogadishu|Africa/Monrovia|Africa/Nairobi|Africa/Ndjamena|Africa/Niamey|Africa/Nouakchott|Africa/Ouagadougou|Africa/Porto-Novo|Africa/Sao_Tome|Africa/Timbuktu|Africa/Tripoli|Africa/Tunis|Africa/Windhoek|America/Adak|America/Anchorage|America/Anguilla|America/Antigua|America/Araguaina|America/Argentina/Buenos_Aires|America/Argentina/Catamarca|America/Argentina/ComodRivadavia|America/Argentina/Cordoba|America/Argentina/Jujuy|America/Argentina/La_Rioja|America/Argentina/Mendoza|America/Argentina/Rio_Gallegos|America/Argentina/Salta|America/Argentina/San_Juan|America/Argentina/San_Luis|America/Argentina/Tucuman|America/Argentina/Ushuaia|America/Aruba|America/Asuncion|America/Atikokan|America/Atka|America/Bahia|America/Bahia_Banderas|America/Barbados|America/Belem|America/Belize|America/Blanc-Sablon|America/Boa_Vista|America/Bogota|America/Boise|America/Buenos_Aires|America/Cambridge_Bay|America/Campo_Grande|America/Cancun|America/Caracas|America/Catamarca|America/Cayenne|America/Cayman|America/Chicago|America/Chihuahua|America/Ciudad_Juarez|America/Coral_Harbour|America/Cordoba|America/Costa_Rica|America/Coyhaique|America/Creston|America/Cuiaba|America/Curacao|America/Danmarkshavn|America/Dawson|America/Dawson_Creek|America/Denver|America/Detroit|America/Dominica|America/Edmonton|America/Eirunepe|America/El_Salvador|America/Ensenada|America/Fort_Nelson|America/Fort_Wayne|America/Fortaleza|America/Glace_Bay|America/Godthab|America/Goose_Bay|America/Grand_Turk|America/Grenada|America/Guadeloupe|America/Guatemala|America/Guayaquil|America/Guyana|America/Halifax|America/Havana|America/Hermosillo|America/Indiana/Indianapolis|America/Indiana/Knox|America/Indiana/Marengo|America/Indiana/Petersburg|America/Indiana/Tell_City|America/Indiana/Vevay|America/Indiana/Vincennes|America/Indiana/Winamac|America/Indianapolis|America/Inuvik|America/Iqaluit|America/Jamaica|America/Jujuy|America/Juneau|America/Kentucky/Louisville|America/Kentucky/Monticello|America/Knox_IN|America/Kralendijk|America/La_Paz|America/Lima|America/Los_Angeles|America/Louisville|America/Lower_Princes|America/Maceio|America/Managua|America/Manaus|America/Marigot|America/Martinique|America/Matamoros|America/Mazatlan|America/Mendoza|America/Menominee|America/Merida|America/Metlakatla|America/Mexico_City|America/Miquelon|America/Moncton|America/Monterrey|America/Montevideo|America/Montreal|America/Montserrat|America/Nassau|America/New_York|America/Nipigon|America/Nome|America/Noronha|America/North_Dakota/Beulah|America/North_Dakota/Center|America/North_Dakota/New_Salem|America/Nuuk|America/Ojinaga|America/Panama|America/Pangnirtung|America/Paramaribo|America/Phoenix|America/Port-au-Prince|America/Port_of_Spain|America/Porto_Acre|America/Porto_Velho|America/Puerto_Rico|America/Punta_Arenas|America/Rainy_River|America/Rankin_Inlet|America/Recife|America/Regina|America/Resolute|America/Rio_Branco|America/Rosario|America/Santa_Isabel|America/Santarem|America/Santiago|America/Santo_Domingo|America/Sao_Paulo|America/Scoresbysund|America/Shiprock|America/Sitka|America/St_Barthelemy|America/St_Johns|America/St_Kitts|America/St_Lucia|America/St_Thomas|America/St_Vincent|America/Swift_Current|America/Tegucigalpa|America/Thule|America/Thunder_Bay|America/Tijuana|America/Toronto|America/Tortola|America/Vancouver|America/Virgin|America/Whitehorse|America/Winnipeg|America/Yakutat|America/Yellowknife|Antarctica/Casey|Antarctica/Davis|Antarctica/DumontDUrville|Antarctica/Macquarie|Antarctica/Mawson|Antarctica/McMurdo|Antarctica/Palmer|Antarctica/Rothera|Antarctica/South_Pole|Antarctica/Syowa|Antarctica/Troll|Antarctica/Vostok|Arctic/Longyearbyen|Asia/Aden|Asia/Almaty|Asia/Amman|Asia/Anadyr|Asia/Aqtau|Asia/Aqtobe|Asia/Ashgabat|Asia/Ashkhabad|Asia/Atyrau|Asia/Baghdad|Asia/Bahrain|Asia/Baku|Asia/Bangkok|Asia/Barnaul|Asia/Beirut|Asia/Bishkek|Asia/Brunei|Asia/Calcutta|Asia/Chita|Asia/Choibalsan|Asia/Chongqing|Asia/Chungking|Asia/Colombo|Asia/Dacca|Asia/Damascus|Asia/Dhaka|Asia/Dili|Asia/Dubai|Asia/Dushanbe|Asia/Famagusta|Asia/Gaza|Asia/Harbin|Asia/Hebron|Asia/Ho_Chi_Minh|Asia/Hong_Kong|Asia/Hovd|Asia/Irkutsk|Asia/Istanbul|Asia/Jakarta|Asia/Jayapura|Asia/Jerusalem|Asia/Kabul|Asia/Kamchatka|Asia/Karachi|Asia/Kashgar|Asia/Kathmandu|Asia/Katmandu|Asia/Khandyga|Asia/Kolkata|Asia/Krasnoyarsk|Asia/Kuala_Lumpur|Asia/Kuching|Asia/Kuwait|Asia/Macao|Asia/Macau|Asia/Magadan|Asia/Makassar|Asia/Manila|Asia/Muscat|Asia/Nicosia|Asia/Novokuznetsk|Asia/Novosibirsk|Asia/Omsk|Asia/Oral|Asia/Phnom_Penh|Asia/Pontianak|Asia/Pyongyang|Asia/Qatar|Asia/Qostanay|Asia/Qyzylorda|Asia/Rangoon|Asia/Riyadh|Asia/Saigon|Asia/Sakhalin|Asia/Samarkand|Asia/Seoul|Asia/Shanghai|Asia/Singapore|Asia/Srednekolymsk|Asia/Taipei|Asia/Tashkent|Asia/Tbilisi|Asia/Tehran|Asia/Tel_Aviv|Asia/Thimbu|Asia/Thimphu|Asia/Tokyo|Asia/Tomsk|Asia/Ujung_Pandang|Asia/Ulaanbaatar|Asia/Ulan_Bator|Asia/Urumqi|Asia/Ust-Nera|Asia/Vientiane|Asia/Vladivostok|Asia/Yakutsk|Asia/Yangon|Asia/Yekaterinburg|Asia/Yerevan|Atlantic/Azores|Atlantic/Bermuda|Atlantic/Canary|Atlantic/Cape_Verde|Atlantic/Faeroe|Atlantic/Faroe|Atlantic/Jan_Mayen|Atlantic/Madeira|Atlantic/Reykjavik|Atlantic/South_Georgia|Atlantic/St_Helena|Atlantic/Stanley|Australia/ACT|Australia/Adelaide|Australia/Brisbane|Australia/Broken_Hill|Australia/Canberra|Australia/Currie|Australia/Darwin|Australia/Eucla|Australia/Hobart|Australia/LHI|Australia/Lindeman|Australia/Lord_Howe|Australia/Melbourne|Australia/NSW|Australia/North|Australia/Perth|Australia/Queensland|Australia/South|Australia/Sydney|Australia/Tasmania|Australia/Victoria|Australia/West|Australia/Yancowinna|Brazil/Acre|Brazil/DeNoronha|Brazil/East|Brazil/West|CET|CST6CDT|Canada/Atlantic|Canada/Central|Canada/Eastern|Canada/Mountain|Canada/Newfoundland|Canada/Pacific|Canada/Saskatchewan|Canada/Yukon|Chile/Continental|Chile/EasterIsland|Cuba|EET|EST|EST5EDT|Egypt|Eire|Etc/GMT|Etc/GMT+0|Etc/GMT+1|Etc/GMT+10|Etc/GMT+11|Etc/GMT+12|Etc/GMT+2|Etc/GMT+3|Etc/GMT+4|Etc/GMT+5|Etc/GMT+6|Etc/GMT+7|Etc/GMT+8|Etc/GMT+9|Etc/GMT-0|Etc/GMT-1|Etc/GMT-10|Etc/GMT-11|Etc/GMT-12|Etc/GMT-13|Etc/GMT-14|Etc/GMT-2|Etc/GMT-3|Etc/GMT-4|Etc/GMT-5|Etc/GMT-6|Etc/GMT-7|Etc/GMT-8|Etc/GMT-9|Etc/GMT0|Etc/Greenwich|Etc/UCT|Etc/UTC|Etc/Universal|Etc/Zulu|Europe/Amsterdam|Europe/Andorra|Europe/Astrakhan|Europe/Athens|Europe/Belfast|Europe/Belgrade|Europe/Berlin|Europe/Bratislava|Europe/Brussels|Europe/Bucharest|Europe/Budapest|Europe/Busingen|Europe/Chisinau|Europe/Copenhagen|Europe/Dublin|Europe/Gibraltar|Europe/Guernsey|Europe/Helsinki|Europe/Isle_of_Man|Europe/Istanbul|Europe/Jersey|Europe/Kaliningrad|Europe/Kiev|Europe/Kirov|Europe/Kyiv|Europe/Lisbon|Europe/Ljubljana|Europe/London|Europe/Luxembourg|Europe/Madrid|Europe/Malta|Europe/Mariehamn|Europe/Minsk|Europe/Monaco|Europe/Moscow|Europe/Nicosia|Europe/Oslo|Europe/Paris|Europe/Podgorica|Europe/Prague|Europe/Riga|Europe/Rome|Europe/Samara|Europe/San_Marino|Europe/Sarajevo|Europe/Saratov|Europe/Simferopol|Europe/Skopje|Europe/Sofia|Europe/Stockholm|Europe/Tallinn|Europe/Tirane|Europe/Tiraspol|Europe/Ulyanovsk|Europe/Uzhgorod|Europe/Vaduz|Europe/Vatican|Europe/Vienna|Europe/Vilnius|Europe/Volgograd|Europe/Warsaw|Europe/Zagreb|Europe/Zaporozhye|Europe/Zurich|Factory|GB|GB-Eire|GMT|GMT+0|GMT-0|GMT0|Greenwich|HST|Hongkong|Iceland|Indian/Antananarivo|Indian/Chagos|Indian/Christmas|Indian/Cocos|Indian/Comoro|Indian/Kerguelen|Indian/Mahe|Indian/Maldives|Indian/Mauritius|Indian/Mayotte|Indian/Reunion|Iran|Israel|Jamaica|Japan|Kwajalein|Libya|MET|MST|MST7MDT|Mexico/BajaNorte|Mexico/BajaSur|Mexico/General|NZ|NZ-CHAT|Navajo|PRC|PST8PDT|Pacific/Apia|Pacific/Auckland|Pacific/Bougainville|Pacific/Chatham|Pacific/Chuuk|Pacific/Easter|Pacific/Efate|Pacific/Enderbury|Pacific/Fakaofo|Pacific/Fiji|Pacific/Funafuti|Pacific/Galapagos|Pacific/Gambier|Pacific/Guadalcanal|Pacific/Guam|Pacific/Honolulu|Pacific/Johnston|Pacific/Kanton|Pacific/Kiritimati|Pacific/Kosrae|Pacific/Kwajalein|Pacific/Majuro|Pacific/Marquesas|Pacific/Midway|Pacific/Nauru|Pacific/Niue|Pacific/Norfolk|Pacific/Noumea|Pacific/Pago_Pago|Pacific/Palau|Pacific/Pitcairn|Pacific/Pohnpei|Pacific/Ponape|Pacific/Port_Moresby|Pacific/Rarotonga|Pacific/Saipan|Pacific/Samoa|Pacific/Tahiti|Pacific/Tarawa|Pacific/Tongatapu|Pacific/Truk|Pacific/Wake|Pacific/Wallis|Pacific/Yap|Poland|Portugal|ROC|ROK|Singapore|Turkey|UCT|US/Alaska|US/Aleutian|US/Arizona|US/Central|US/East-Indiana|US/Eastern|US/Hawaii|US/Indiana-Starke|US/Michigan|US/Mountain|US/Pacific|US/Samoa|UTC|Universal|W-SU|WET|Zulu","example":"America/New_York","uniqueKey":"items.[INDEX].schedule.oneOf.2.timezone.oneOf.0","typeLabel":"string"},{"type":"null","title":"Timezone","default":"UTC","uniqueKey":"items.[INDEX].schedule.oneOf.2.timezone.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].schedule.oneOf.2.timezone","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"items.[INDEX].schedule.oneOf.2","typeLabel":"RRuleSchedule · object"}],"isRequired":true,"uniqueKey":"items.[INDEX].schedule","typeLabel":"IntervalSchedule · object | CronSchedule · object | RRuleSchedule · object"},"active":{"type":"boolean","title":"Active","description":"Whether or not the schedule is active.","default":true,"uniqueKey":"items.[INDEX].active","typeLabel":"boolean"},"max_scheduled_runs":{"oneOf":[{"type":"integer","title":"Max Scheduled Runs","description":"The maximum number of scheduled runs for the schedule.","minimum":0,"exclusiveMinimum":true,"uniqueKey":"items.[INDEX].max_scheduled_runs.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Max Scheduled Runs","description":"The maximum number of scheduled runs for the schedule.","uniqueKey":"items.[INDEX].max_scheduled_runs.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].max_scheduled_runs","typeLabel":"integer | null"},"parameters":{"additionalProperties":true,"type":"object","title":"Parameters","description":"A dictionary of parameter value overrides.","uniqueKey":"items.[INDEX].parameters","typeLabel":"Parameters · object"},"slug":{"oneOf":[{"type":"string","title":"Slug","description":"A unique identifier for the schedule.","uniqueKey":"items.[INDEX].slug.oneOf.0","typeLabel":"string"},{"type":"null","title":"Slug","description":"A unique identifier for the schedule.","uniqueKey":"items.[INDEX].slug.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].slug","typeLabel":"string | null"},"replaces":{"oneOf":[{"type":"string","title":"Replaces","description":"The slug of an existing schedule that this schedule replaces. Used for renaming slugs.","uniqueKey":"items.[INDEX].replaces.oneOf.0","typeLabel":"string"},{"type":"null","title":"Replaces","description":"The slug of an existing schedule that this schedule replaces. Used for renaming slugs.","uniqueKey":"items.[INDEX].replaces.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].replaces","typeLabel":"string | null"}},"additionalProperties":false,"type":"object","required":["schedule"],"title":"DeploymentScheduleCreate","uniqueKey":"items.[INDEX]","typeLabel":"DeploymentScheduleCreate · object"},"description":"The schedules to create","title":"Schedules","uniqueKey":"","typeLabel":"DeploymentScheduleCreate · object[]"},"examples":{"Example":{"title":"Example","value":[{"schedule":{"interval":1,"anchor_date":"2020-01-01T00:00:00Z","timezone":"America/New_York"},"active":true,"max_scheduled_runs":1,"parameters":{},"slug":"\u003cstring>","replaces":"\u003cstring>"}]}},"exampleType":"generated"}},"exampleType":"generated"},"responses":{"ce88a28c-f51e-4a6d-b617-9c0b1d3a6f04":{"description":"Successful Response","content":{"application/json":{"schema":{"type":"array","items":{"properties":{"id":{"type":"string","format":"uuid","title":"Id","isRequired":true,"uniqueKey":"items.[INDEX].id","typeLabel":"string\u003cuuid>"},"created":{"oneOf":[{"type":"string","title":"Created","format":"date-time","isRequired":true,"uniqueKey":"items.[INDEX].created.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Created","isRequired":true,"uniqueKey":"items.[INDEX].created.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"items.[INDEX].created","typeLabel":"string\u003cdate-time> | null"},"updated":{"oneOf":[{"type":"string","title":"Updated","format":"date-time","isRequired":true,"uniqueKey":"items.[INDEX].updated.oneOf.0","typeLabel":"string\u003cdate-time>"},{"type":"null","title":"Updated","isRequired":true,"uniqueKey":"items.[INDEX].updated.oneOf.1","typeLabel":"null"}],"isRequired":true,"uniqueKey":"items.[INDEX].updated","typeLabel":"string\u003cdate-time> | null"},"schedule":{"oneOf":[{"type":"object","title":"IntervalSchedule","description":"A schedule formed by adding `interval` increments to an `anchor_date`. If no\n`anchor_date` is supplied, the current UTC time is used. If a\ntimezone-naive datetime is provided for `anchor_date`, it is assumed to be\nin the schedule's timezone (or UTC). Even if supplied with an IANA timezone,\nanchor dates are always stored as UTC offsets, so a `timezone` can be\nprovided to determine localization behaviors like DST boundary handling. If\nnone is provided it will be inferred from the anchor date.\n\nNOTE: If the `IntervalSchedule` `anchor_date` or `timezone` is provided in a\nDST-observing timezone, then the schedule will adjust itself appropriately.\nIntervals greater than 24 hours will follow DST conventions, while intervals\nof less than 24 hours will follow UTC intervals. For example, an hourly\nschedule will fire every UTC hour, even across DST boundaries. When clocks\nare set back, this will result in two runs that *appear* to both be\nscheduled for 1am local time, even though they are an hour apart in UTC\ntime. For longer intervals, like a daily schedule, the interval schedule\nwill adjust for DST boundaries so that the clock-hour remains constant. This\nmeans that a daily schedule that always fires at 9am will observe DST and\ncontinue to fire at 9am in the local time zone.\n\nArgs:\n interval (datetime.timedelta): an interval to schedule on.\n anchor_date (DateTime, optional): an anchor date to schedule increments against;\n if not provided, the current timestamp will be used.\n timezone (str, optional): a valid timezone string.","required":["interval"],"properties":{"interval":{"type":"number","title":"Interval","isRequired":true,"uniqueKey":"items.[INDEX].schedule.oneOf.0.interval","typeLabel":"number"},"anchor_date":{"type":"string","format":"date-time","title":"Anchor Date","examples":["2020-01-01T00:00:00Z"],"uniqueKey":"items.[INDEX].schedule.oneOf.0.anchor_date","typeLabel":"string\u003cdate-time>"},"timezone":{"oneOf":[{"type":"string","title":"Timezone","example":"America/New_York","uniqueKey":"items.[INDEX].schedule.oneOf.0.timezone.oneOf.0","typeLabel":"string"},{"type":"null","title":"Timezone","example":"America/New_York","uniqueKey":"items.[INDEX].schedule.oneOf.0.timezone.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].schedule.oneOf.0.timezone","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"items.[INDEX].schedule.oneOf.0","typeLabel":"IntervalSchedule · object"},{"type":"object","title":"CronSchedule","description":"Cron schedule\n\nNOTE: If the timezone is a DST-observing one, then the schedule will adjust\nitself appropriately. Cron's rules for DST are based on schedule times, not\nintervals. This means that an hourly cron schedule will fire on every new\nschedule hour, not every elapsed hour; for example, when clocks are set back\nthis will result in a two-hour pause as the schedule will fire *the first\ntime* 1am is reached and *the first time* 2am is reached, 120 minutes later.\nLonger schedules, such as one that fires at 9am every morning, will\nautomatically adjust for DST.\n\nArgs:\n cron (str): a valid cron string\n timezone (str): a valid timezone string in IANA tzdata format (for example,\n America/New_York).\n day_or (bool, optional): Control how croniter handles `day` and `day_of_week`\n entries. Defaults to True, matching cron which connects those values using\n OR. If the switch is set to False, the values are connected using AND. This\n behaves like fcron and enables you to e.g. define a job that executes each\n 2nd friday of a month by setting the days of month and the weekday.","required":["cron"],"properties":{"cron":{"type":"string","title":"Cron","examples":["0 0 * * *"],"isRequired":true,"uniqueKey":"items.[INDEX].schedule.oneOf.1.cron","typeLabel":"string"},"timezone":{"oneOf":[{"type":"string","title":"Timezone","example":"America/New_York","uniqueKey":"items.[INDEX].schedule.oneOf.1.timezone.oneOf.0","typeLabel":"string"},{"type":"null","title":"Timezone","example":"America/New_York","uniqueKey":"items.[INDEX].schedule.oneOf.1.timezone.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].schedule.oneOf.1.timezone","typeLabel":"string | null"},"day_or":{"type":"boolean","title":"Day Or","description":"Control croniter behavior for handling day and day_of_week entries.","default":true,"uniqueKey":"items.[INDEX].schedule.oneOf.1.day_or","typeLabel":"boolean"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"items.[INDEX].schedule.oneOf.1","typeLabel":"CronSchedule · object"},{"type":"object","title":"RRuleSchedule","description":"RRule schedule, based on the iCalendar standard\n([RFC 5545](https://datatracker.ietf.org/doc/html/rfc5545)) as\nimplemented in `dateutils.rrule`.\n\nRRules are appropriate for any kind of calendar-date manipulation, including\nirregular intervals, repetition, exclusions, week day or day-of-month\nadjustments, and more.\n\nNote that as a calendar-oriented standard, `RRuleSchedules` are sensitive to\nto the initial timezone provided. A 9am daily schedule with a daylight saving\ntime-aware start date will maintain a local 9am time through DST boundaries;\na 9am daily schedule with a UTC start date will maintain a 9am UTC time.\n\nArgs:\n rrule (str): a valid RRule string\n timezone (str, optional): a valid timezone string","required":["rrule"],"properties":{"rrule":{"type":"string","title":"Rrule","isRequired":true,"uniqueKey":"items.[INDEX].schedule.oneOf.2.rrule","typeLabel":"string"},"timezone":{"oneOf":[{"type":"string","title":"Timezone","default":"UTC","pattern":"Africa/Abidjan|Africa/Accra|Africa/Addis_Ababa|Africa/Algiers|Africa/Asmara|Africa/Asmera|Africa/Bamako|Africa/Bangui|Africa/Banjul|Africa/Bissau|Africa/Blantyre|Africa/Brazzaville|Africa/Bujumbura|Africa/Cairo|Africa/Casablanca|Africa/Ceuta|Africa/Conakry|Africa/Dakar|Africa/Dar_es_Salaam|Africa/Djibouti|Africa/Douala|Africa/El_Aaiun|Africa/Freetown|Africa/Gaborone|Africa/Harare|Africa/Johannesburg|Africa/Juba|Africa/Kampala|Africa/Khartoum|Africa/Kigali|Africa/Kinshasa|Africa/Lagos|Africa/Libreville|Africa/Lome|Africa/Luanda|Africa/Lubumbashi|Africa/Lusaka|Africa/Malabo|Africa/Maputo|Africa/Maseru|Africa/Mbabane|Africa/Mogadishu|Africa/Monrovia|Africa/Nairobi|Africa/Ndjamena|Africa/Niamey|Africa/Nouakchott|Africa/Ouagadougou|Africa/Porto-Novo|Africa/Sao_Tome|Africa/Timbuktu|Africa/Tripoli|Africa/Tunis|Africa/Windhoek|America/Adak|America/Anchorage|America/Anguilla|America/Antigua|America/Araguaina|America/Argentina/Buenos_Aires|America/Argentina/Catamarca|America/Argentina/ComodRivadavia|America/Argentina/Cordoba|America/Argentina/Jujuy|America/Argentina/La_Rioja|America/Argentina/Mendoza|America/Argentina/Rio_Gallegos|America/Argentina/Salta|America/Argentina/San_Juan|America/Argentina/San_Luis|America/Argentina/Tucuman|America/Argentina/Ushuaia|America/Aruba|America/Asuncion|America/Atikokan|America/Atka|America/Bahia|America/Bahia_Banderas|America/Barbados|America/Belem|America/Belize|America/Blanc-Sablon|America/Boa_Vista|America/Bogota|America/Boise|America/Buenos_Aires|America/Cambridge_Bay|America/Campo_Grande|America/Cancun|America/Caracas|America/Catamarca|America/Cayenne|America/Cayman|America/Chicago|America/Chihuahua|America/Ciudad_Juarez|America/Coral_Harbour|America/Cordoba|America/Costa_Rica|America/Coyhaique|America/Creston|America/Cuiaba|America/Curacao|America/Danmarkshavn|America/Dawson|America/Dawson_Creek|America/Denver|America/Detroit|America/Dominica|America/Edmonton|America/Eirunepe|America/El_Salvador|America/Ensenada|America/Fort_Nelson|America/Fort_Wayne|America/Fortaleza|America/Glace_Bay|America/Godthab|America/Goose_Bay|America/Grand_Turk|America/Grenada|America/Guadeloupe|America/Guatemala|America/Guayaquil|America/Guyana|America/Halifax|America/Havana|America/Hermosillo|America/Indiana/Indianapolis|America/Indiana/Knox|America/Indiana/Marengo|America/Indiana/Petersburg|America/Indiana/Tell_City|America/Indiana/Vevay|America/Indiana/Vincennes|America/Indiana/Winamac|America/Indianapolis|America/Inuvik|America/Iqaluit|America/Jamaica|America/Jujuy|America/Juneau|America/Kentucky/Louisville|America/Kentucky/Monticello|America/Knox_IN|America/Kralendijk|America/La_Paz|America/Lima|America/Los_Angeles|America/Louisville|America/Lower_Princes|America/Maceio|America/Managua|America/Manaus|America/Marigot|America/Martinique|America/Matamoros|America/Mazatlan|America/Mendoza|America/Menominee|America/Merida|America/Metlakatla|America/Mexico_City|America/Miquelon|America/Moncton|America/Monterrey|America/Montevideo|America/Montreal|America/Montserrat|America/Nassau|America/New_York|America/Nipigon|America/Nome|America/Noronha|America/North_Dakota/Beulah|America/North_Dakota/Center|America/North_Dakota/New_Salem|America/Nuuk|America/Ojinaga|America/Panama|America/Pangnirtung|America/Paramaribo|America/Phoenix|America/Port-au-Prince|America/Port_of_Spain|America/Porto_Acre|America/Porto_Velho|America/Puerto_Rico|America/Punta_Arenas|America/Rainy_River|America/Rankin_Inlet|America/Recife|America/Regina|America/Resolute|America/Rio_Branco|America/Rosario|America/Santa_Isabel|America/Santarem|America/Santiago|America/Santo_Domingo|America/Sao_Paulo|America/Scoresbysund|America/Shiprock|America/Sitka|America/St_Barthelemy|America/St_Johns|America/St_Kitts|America/St_Lucia|America/St_Thomas|America/St_Vincent|America/Swift_Current|America/Tegucigalpa|America/Thule|America/Thunder_Bay|America/Tijuana|America/Toronto|America/Tortola|America/Vancouver|America/Virgin|America/Whitehorse|America/Winnipeg|America/Yakutat|America/Yellowknife|Antarctica/Casey|Antarctica/Davis|Antarctica/DumontDUrville|Antarctica/Macquarie|Antarctica/Mawson|Antarctica/McMurdo|Antarctica/Palmer|Antarctica/Rothera|Antarctica/South_Pole|Antarctica/Syowa|Antarctica/Troll|Antarctica/Vostok|Arctic/Longyearbyen|Asia/Aden|Asia/Almaty|Asia/Amman|Asia/Anadyr|Asia/Aqtau|Asia/Aqtobe|Asia/Ashgabat|Asia/Ashkhabad|Asia/Atyrau|Asia/Baghdad|Asia/Bahrain|Asia/Baku|Asia/Bangkok|Asia/Barnaul|Asia/Beirut|Asia/Bishkek|Asia/Brunei|Asia/Calcutta|Asia/Chita|Asia/Choibalsan|Asia/Chongqing|Asia/Chungking|Asia/Colombo|Asia/Dacca|Asia/Damascus|Asia/Dhaka|Asia/Dili|Asia/Dubai|Asia/Dushanbe|Asia/Famagusta|Asia/Gaza|Asia/Harbin|Asia/Hebron|Asia/Ho_Chi_Minh|Asia/Hong_Kong|Asia/Hovd|Asia/Irkutsk|Asia/Istanbul|Asia/Jakarta|Asia/Jayapura|Asia/Jerusalem|Asia/Kabul|Asia/Kamchatka|Asia/Karachi|Asia/Kashgar|Asia/Kathmandu|Asia/Katmandu|Asia/Khandyga|Asia/Kolkata|Asia/Krasnoyarsk|Asia/Kuala_Lumpur|Asia/Kuching|Asia/Kuwait|Asia/Macao|Asia/Macau|Asia/Magadan|Asia/Makassar|Asia/Manila|Asia/Muscat|Asia/Nicosia|Asia/Novokuznetsk|Asia/Novosibirsk|Asia/Omsk|Asia/Oral|Asia/Phnom_Penh|Asia/Pontianak|Asia/Pyongyang|Asia/Qatar|Asia/Qostanay|Asia/Qyzylorda|Asia/Rangoon|Asia/Riyadh|Asia/Saigon|Asia/Sakhalin|Asia/Samarkand|Asia/Seoul|Asia/Shanghai|Asia/Singapore|Asia/Srednekolymsk|Asia/Taipei|Asia/Tashkent|Asia/Tbilisi|Asia/Tehran|Asia/Tel_Aviv|Asia/Thimbu|Asia/Thimphu|Asia/Tokyo|Asia/Tomsk|Asia/Ujung_Pandang|Asia/Ulaanbaatar|Asia/Ulan_Bator|Asia/Urumqi|Asia/Ust-Nera|Asia/Vientiane|Asia/Vladivostok|Asia/Yakutsk|Asia/Yangon|Asia/Yekaterinburg|Asia/Yerevan|Atlantic/Azores|Atlantic/Bermuda|Atlantic/Canary|Atlantic/Cape_Verde|Atlantic/Faeroe|Atlantic/Faroe|Atlantic/Jan_Mayen|Atlantic/Madeira|Atlantic/Reykjavik|Atlantic/South_Georgia|Atlantic/St_Helena|Atlantic/Stanley|Australia/ACT|Australia/Adelaide|Australia/Brisbane|Australia/Broken_Hill|Australia/Canberra|Australia/Currie|Australia/Darwin|Australia/Eucla|Australia/Hobart|Australia/LHI|Australia/Lindeman|Australia/Lord_Howe|Australia/Melbourne|Australia/NSW|Australia/North|Australia/Perth|Australia/Queensland|Australia/South|Australia/Sydney|Australia/Tasmania|Australia/Victoria|Australia/West|Australia/Yancowinna|Brazil/Acre|Brazil/DeNoronha|Brazil/East|Brazil/West|CET|CST6CDT|Canada/Atlantic|Canada/Central|Canada/Eastern|Canada/Mountain|Canada/Newfoundland|Canada/Pacific|Canada/Saskatchewan|Canada/Yukon|Chile/Continental|Chile/EasterIsland|Cuba|EET|EST|EST5EDT|Egypt|Eire|Etc/GMT|Etc/GMT+0|Etc/GMT+1|Etc/GMT+10|Etc/GMT+11|Etc/GMT+12|Etc/GMT+2|Etc/GMT+3|Etc/GMT+4|Etc/GMT+5|Etc/GMT+6|Etc/GMT+7|Etc/GMT+8|Etc/GMT+9|Etc/GMT-0|Etc/GMT-1|Etc/GMT-10|Etc/GMT-11|Etc/GMT-12|Etc/GMT-13|Etc/GMT-14|Etc/GMT-2|Etc/GMT-3|Etc/GMT-4|Etc/GMT-5|Etc/GMT-6|Etc/GMT-7|Etc/GMT-8|Etc/GMT-9|Etc/GMT0|Etc/Greenwich|Etc/UCT|Etc/UTC|Etc/Universal|Etc/Zulu|Europe/Amsterdam|Europe/Andorra|Europe/Astrakhan|Europe/Athens|Europe/Belfast|Europe/Belgrade|Europe/Berlin|Europe/Bratislava|Europe/Brussels|Europe/Bucharest|Europe/Budapest|Europe/Busingen|Europe/Chisinau|Europe/Copenhagen|Europe/Dublin|Europe/Gibraltar|Europe/Guernsey|Europe/Helsinki|Europe/Isle_of_Man|Europe/Istanbul|Europe/Jersey|Europe/Kaliningrad|Europe/Kiev|Europe/Kirov|Europe/Kyiv|Europe/Lisbon|Europe/Ljubljana|Europe/London|Europe/Luxembourg|Europe/Madrid|Europe/Malta|Europe/Mariehamn|Europe/Minsk|Europe/Monaco|Europe/Moscow|Europe/Nicosia|Europe/Oslo|Europe/Paris|Europe/Podgorica|Europe/Prague|Europe/Riga|Europe/Rome|Europe/Samara|Europe/San_Marino|Europe/Sarajevo|Europe/Saratov|Europe/Simferopol|Europe/Skopje|Europe/Sofia|Europe/Stockholm|Europe/Tallinn|Europe/Tirane|Europe/Tiraspol|Europe/Ulyanovsk|Europe/Uzhgorod|Europe/Vaduz|Europe/Vatican|Europe/Vienna|Europe/Vilnius|Europe/Volgograd|Europe/Warsaw|Europe/Zagreb|Europe/Zaporozhye|Europe/Zurich|Factory|GB|GB-Eire|GMT|GMT+0|GMT-0|GMT0|Greenwich|HST|Hongkong|Iceland|Indian/Antananarivo|Indian/Chagos|Indian/Christmas|Indian/Cocos|Indian/Comoro|Indian/Kerguelen|Indian/Mahe|Indian/Maldives|Indian/Mauritius|Indian/Mayotte|Indian/Reunion|Iran|Israel|Jamaica|Japan|Kwajalein|Libya|MET|MST|MST7MDT|Mexico/BajaNorte|Mexico/BajaSur|Mexico/General|NZ|NZ-CHAT|Navajo|PRC|PST8PDT|Pacific/Apia|Pacific/Auckland|Pacific/Bougainville|Pacific/Chatham|Pacific/Chuuk|Pacific/Easter|Pacific/Efate|Pacific/Enderbury|Pacific/Fakaofo|Pacific/Fiji|Pacific/Funafuti|Pacific/Galapagos|Pacific/Gambier|Pacific/Guadalcanal|Pacific/Guam|Pacific/Honolulu|Pacific/Johnston|Pacific/Kanton|Pacific/Kiritimati|Pacific/Kosrae|Pacific/Kwajalein|Pacific/Majuro|Pacific/Marquesas|Pacific/Midway|Pacific/Nauru|Pacific/Niue|Pacific/Norfolk|Pacific/Noumea|Pacific/Pago_Pago|Pacific/Palau|Pacific/Pitcairn|Pacific/Pohnpei|Pacific/Ponape|Pacific/Port_Moresby|Pacific/Rarotonga|Pacific/Saipan|Pacific/Samoa|Pacific/Tahiti|Pacific/Tarawa|Pacific/Tongatapu|Pacific/Truk|Pacific/Wake|Pacific/Wallis|Pacific/Yap|Poland|Portugal|ROC|ROK|Singapore|Turkey|UCT|US/Alaska|US/Aleutian|US/Arizona|US/Central|US/East-Indiana|US/Eastern|US/Hawaii|US/Indiana-Starke|US/Michigan|US/Mountain|US/Pacific|US/Samoa|UTC|Universal|W-SU|WET|Zulu","example":"America/New_York","uniqueKey":"items.[INDEX].schedule.oneOf.2.timezone.oneOf.0","typeLabel":"string"},{"type":"null","title":"Timezone","default":"UTC","uniqueKey":"items.[INDEX].schedule.oneOf.2.timezone.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].schedule.oneOf.2.timezone","typeLabel":"string | null"}},"additionalProperties":false,"isRequired":true,"uniqueKey":"items.[INDEX].schedule.oneOf.2","typeLabel":"RRuleSchedule · object"}],"isRequired":true,"uniqueKey":"items.[INDEX].schedule","typeLabel":"IntervalSchedule · object | CronSchedule · object | RRuleSchedule · object"},"deployment_id":{"oneOf":[{"type":"string","title":"Deployment Id","description":"The deployment id associated with this schedule.","format":"uuid","uniqueKey":"items.[INDEX].deployment_id.oneOf.0","typeLabel":"string\u003cuuid>"},{"type":"null","title":"Deployment Id","description":"The deployment id associated with this schedule.","uniqueKey":"items.[INDEX].deployment_id.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].deployment_id","typeLabel":"string\u003cuuid> | null"},"active":{"type":"boolean","title":"Active","description":"Whether or not the schedule is active.","default":true,"uniqueKey":"items.[INDEX].active","typeLabel":"boolean"},"max_scheduled_runs":{"oneOf":[{"type":"integer","title":"Max Scheduled Runs","description":"The maximum number of scheduled runs for the schedule.","minimum":0,"exclusiveMinimum":true,"uniqueKey":"items.[INDEX].max_scheduled_runs.oneOf.0","typeLabel":"integer"},{"type":"null","title":"Max Scheduled Runs","description":"The maximum number of scheduled runs for the schedule.","uniqueKey":"items.[INDEX].max_scheduled_runs.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].max_scheduled_runs","typeLabel":"integer | null"},"parameters":{"additionalProperties":true,"type":"object","title":"Parameters","description":"A dictionary of parameter value overrides.","uniqueKey":"items.[INDEX].parameters","typeLabel":"Parameters · object"},"slug":{"oneOf":[{"type":"string","title":"Slug","description":"A unique slug for the schedule.","uniqueKey":"items.[INDEX].slug.oneOf.0","typeLabel":"string"},{"type":"null","title":"Slug","description":"A unique slug for the schedule.","uniqueKey":"items.[INDEX].slug.oneOf.1","typeLabel":"null"}],"uniqueKey":"items.[INDEX].slug","typeLabel":"string | null"}},"type":"object","required":["schedule","id","created","updated"],"title":"DeploymentSchedule","uniqueKey":"items.[INDEX]","typeLabel":"DeploymentSchedule · object"},"title":"Response Create Deployment Schedules Deployments Id Schedules Post","uniqueKey":"","typeLabel":"DeploymentSchedule · object[]"},"examples":{"Example":{"title":"Example","value":[{"id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","created":"2023-11-07T05:31:56Z","updated":"2023-11-07T05:31:56Z","schedule":{"interval":123,"anchor_date":"2020-01-01T00:00:00Z","timezone":"America/New_York"},"deployment_id":"3c90c3cc-0d44-4b50-8888-8dd25736052a","active":true,"max_scheduled_runs":1,"parameters":{},"slug":"\u003cstring>"}]}},"exampleType":"generated"}},"exampleType":"generated"},"94deb213-1687-4d50-9e54-c5e33ce0a6d6":{"description":"Validation Error","content":{"application/json":{"schema":{"properties":{"detail":{"items":{"properties":{"loc":{"items":{"oneOf":[{"type":"string","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.0","typeLabel":"string"},{"type":"integer","uniqueKey":"detail.items.[INDEX].loc.items.[INDEX].oneOf.1","typeLabel":"integer"}],"uniqueKey":"detail.items.[INDEX].loc.items.[INDEX]","typeLabel":"string | integer"},"type":"array","title":"Location","isRequired":true,"uniqueKey":"detail.items.[INDEX].loc","typeLabel":"(string | integer)[]"},"msg":{"type":"string","title":"Message","isRequired":true,"uniqueKey":"detail.items.[INDEX].msg","typeLabel":"string"},"type":{"type":"string","title":"Error Type","isRequired":true,"uniqueKey":"detail.items.[INDEX].type","typeLabel":"string"},"input":{"oneOf":[{"title":"Input"}],"uniqueKey":"detail.items.[INDEX].input","typeLabel":"any"},"ctx":{"type":"object","title":"Context","uniqueKey":"detail.items.[INDEX].ctx","typeLabel":"Context · object"}},"type":"object","required":["loc","msg","type"],"title":"ValidationError","uniqueKey":"detail.items.[INDEX]","typeLabel":"ValidationError · object"},"type":"array","title":"Detail","uniqueKey":"detail","typeLabel":"ValidationError · object[]"}},"type":"object","title":"HTTPValidationError","uniqueKey":"","typeLabel":"HTTPValidationError · object"},"examples":{"Example":{"title":"Example","value":{"detail":[{"loc":["\u003cstring>"],"msg":"\u003cstring>","type":"\u003cstring>","input":"\u003cunknown>","ctx":{}}]}}},"exampleType":"generated"}},"exampleType":"generated"}},"security":{},"servers":{}},"originalFileLocation":"v3/api-ref/rest-api/server/schema.json"},"subdomain":"prefect-bd373955","siteName":"Prefect","title":"Create Deployment Schedules - Prefect","navMaps":{"firstHrefInVersion":{},"firstHrefInLanguage":{}},"lastModified":"2026-10-30T15:50:58.691Z","originalFileLocation":"v3/api-ref/rest-api/server/deployments/create-deployment-schedules.mdx"},"headHtml":"\u003cscript data-mint-head>(function(){var d=document.documentElement,p=null;if(!p){try{p=localStorage.getItem(\"isDarkMode\")}catch(e){}if(p==='true')p='dark';else if(p==='false')p='light';if(p!=='light'\u0026\u0026p!=='dark'\u0026\u0026p!=='system')p=\"light\"}var r=p==='system'?(matchMedia(\"(prefers-color-scheme: dark)\").matches?'dark':'light'):p;d.classList.remove(r==='dark'?'light':'dark');d.classList.add(r);d.setAttribute(\"data-theme-preference\",p)})();\u003c/script>\u003cmeta data-mint-head name=\"application-name\" content=\"Prefect\">\u003cmeta data-mint-head name=\"generator\" content=\"Mintlify\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/prefect-bd373955/QsizguCJ7nwtgDte/_generated/favicon/android-chrome-192x192.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"apple-touch-icon\" type=\"image/png\" sizes=\"180x180\" href=\"/docs/mintlify-assets/_mintlify/favicons/prefect-bd373955/QsizguCJ7nwtgDte/_generated/favicon/apple-touch-icon.png\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/prefect-bd373955/QsizguCJ7nwtgDte/_generated/favicon/favicon-16x16.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/prefect-bd373955/QsizguCJ7nwtgDte/_generated/favicon/favicon-32x32.png\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/prefect-bd373955/QsizguCJ7nwtgDte/_generated/favicon/favicon.ico\" media=\"(prefers-color-scheme: light)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"192x192\" href=\"/docs/mintlify-assets/_mintlify/favicons/prefect-bd373955/QsizguCJ7nwtgDte/_generated/favicon-dark/android-chrome-192x192.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"16x16\" href=\"/docs/mintlify-assets/_mintlify/favicons/prefect-bd373955/QsizguCJ7nwtgDte/_generated/favicon-dark/favicon-16x16.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"icon\" type=\"image/png\" sizes=\"32x32\" href=\"/docs/mintlify-assets/_mintlify/favicons/prefect-bd373955/QsizguCJ7nwtgDte/_generated/favicon-dark/favicon-32x32.png\" media=\"(prefers-color-scheme: dark)\">\u003clink data-mint-head rel=\"shortcut icon\" type=\"image/x-icon\" href=\"/docs/mintlify-assets/_mintlify/favicons/prefect-bd373955/QsizguCJ7nwtgDte/_generated/favicon-dark/favicon.ico\" media=\"(prefers-color-scheme: dark)\">\u003cmeta data-mint-head property=\"og:title\" content=\"Create Deployment Schedules - Prefect\">\u003cmeta data-mint-head property=\"og:site_name\" content=\"Prefect\">\u003cmeta data-mint-head property=\"og:url\" content=\"https://www.prefect.io/docs/v3/api-ref/rest-api/server/deployments/create-deployment-schedules\">\u003cmeta data-mint-head property=\"og:type\" content=\"website\">\u003cmeta data-mint-head property=\"og:image\" content=\"https://prefect-bd373955.mintlify.site/docs/_mintlify/api/og/v2?division=Deployments\u0026amp;title=Create+Deployment+Schedules\u0026amp;theme=ce2957f9cdece17b41396978\u0026amp;signature=e5ec00372fe56f80022d438271584535f12d00b24b806bc5668aac168a3890c5\">\u003cmeta data-mint-head property=\"og:image:width\" content=\"1200\">\u003cmeta data-mint-head property=\"og:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"twitter:card\" content=\"summary_large_image\">\u003cmeta data-mint-head name=\"twitter:title\" content=\"Create Deployment Schedules - Prefect\">\u003cmeta data-mint-head name=\"twitter:image\" content=\"https://prefect-bd373955.mintlify.site/docs/_mintlify/api/og/v2?division=Deployments\u0026amp;title=Create+Deployment+Schedules\u0026amp;theme=ce2957f9cdece17b41396978\u0026amp;signature=e5ec00372fe56f80022d438271584535f12d00b24b806bc5668aac168a3890c5\">\u003cmeta data-mint-head name=\"twitter:image:width\" content=\"1200\">\u003cmeta data-mint-head name=\"twitter:image:height\" content=\"630\">\u003cmeta data-mint-head name=\"msapplication-config\" content=\"/docs/mintlify-assets/_mintlify/favicons/prefect-bd373955/QsizguCJ7nwtgDte/_generated/favicon/browserconfig.xml\">\u003cmeta data-mint-head name=\"apple-mobile-web-app-title\" content=\"Prefect\">\u003cmeta data-mint-head name=\"msapplication-TileColor\" content=\"#2D6DF6\">\u003clink data-mint-head rel=\"canonical\" href=\"https://www.prefect.io/docs/v3/api-ref/rest-api/server/deployments/create-deployment-schedules\">\u003clink data-mint-head rel=\"alternate\" type=\"application/xml\" href=\"/docs/sitemap.xml\">\u003clink data-mint-head rel=\"alternate\" type=\"text/markdown\" href=\"/docs/v3/api-ref/rest-api/server/deployments/create-deployment-schedules.md\">\u003cscript data-mint-head type=\"application/ld+json\">{\"@context\":\"https://schema.org\",\"@graph\":[{\"@type\":\"Organization\",\"@id\":\"https://www.prefect.io/#organization\",\"name\":\"Prefect\",\"url\":\"https://www.prefect.io\",\"logo\":{\"@type\":\"ImageObject\",\"url\":\"https://mintcdn.com/prefect-bd373955/2_4m_dDmEdgqK7r9/logos/logo-wordmark-dark.svg?fit=max\u0026auto=format\u0026n=2_4m_dDmEdgqK7r9\u0026q=85\u0026s=076c95a93dbe29192ba9129faefcc878\"}},{\"@type\":\"WebSite\",\"@id\":\"https://www.prefect.io/docs#website\",\"name\":\"Prefect\",\"url\":\"https://www.prefect.io/docs\",\"publisher\":{\"@id\":\"https://www.prefect.io/#organization\"}},{\"@type\":\"WebPage\",\"@id\":\"https://www.prefect.io/docs/v3/api-ref/rest-api/server/deployments/create-deployment-schedules#webpage\",\"url\":\"https://www.prefect.io/docs/v3/api-ref/rest-api/server/deployments/create-deployment-schedules\",\"name\":\"Create Deployment Schedules\",\"dateModified\":\"2026-10-30T15:50:58.691Z\",\"isPartOf\":{\"@id\":\"https://www.prefect.io/docs#website\"},\"breadcrumb\":{\"@id\":\"https://www.prefect.io/docs/v3/api-ref/rest-api/server/deployments/create-deployment-schedules#breadcrumb\"}},{\"@type\":\"BreadcrumbList\",\"@id\":\"https://www.prefect.io/docs/v3/api-ref/rest-api/server/deployments/create-deployment-schedules#breadcrumb\",\"itemListElement\":[{\"@type\":\"ListItem\",\"position\":1,\"name\":\"API Reference\",\"item\":\"https://www.prefect.io/docs/v3/api-ref/index\"},{\"@type\":\"ListItem\",\"position\":2,\"name\":\"REST API\",\"item\":\"https://www.prefect.io/docs/v3/api-ref/rest-api/index\"},{\"@type\":\"ListItem\",\"position\":3,\"name\":\"Server API\",\"item\":\"https://www.prefect.io/docs/v3/api-ref/rest-api/server/index\"},{\"@type\":\"ListItem\",\"position\":4,\"name\":\"Deployments\",\"item\":\"https://www.prefect.io/docs/v3/api-ref/rest-api/server/deployments/create-deployment\"},{\"@type\":\"ListItem\",\"position\":5,\"name\":\"Create Deployment Schedules\",\"item\":\"https://www.prefect.io/docs/v3/api-ref/rest-api/server/deployments/create-deployment-schedules\"}]},{\"@type\":[\"TechArticle\",\"APIReference\"],\"@id\":\"https://www.prefect.io/docs/v3/api-ref/rest-api/server/deployments/create-deployment-schedules#apireference\",\"headline\":\"Create Deployment Schedules\",\"name\":\"Create Deployment Schedules\",\"url\":\"https://www.prefect.io/docs/v3/api-ref/rest-api/server/deployments/create-deployment-schedules\",\"mainEntityOfPage\":{\"@id\":\"https://www.prefect.io/docs/v3/api-ref/rest-api/server/deployments/create-deployment-schedules#webpage\"},\"dateModified\":\"2026-10-30T15:50:58.691Z\",\"publisher\":{\"@id\":\"https://www.prefect.io/#organization\"},\"isPartOf\":{\"@id\":\"https://www.prefect.io/docs#website\"}}]}\u003c/script>","siteName":"Prefect","nav":{"global":null,"tabs":[{"tab":"Getting Started","pages":[{"title":"Getting Started","href":"/v3/get-started"}]},{"tab":"Concepts","pages":[{"title":"Concepts","href":"/v3/concepts"}]},{"tab":"How-to Guides","pages":[{"title":"How-to Guides","href":"/v3/how-to-guides"}]},{"tab":"Advanced","pages":[{"title":"Advanced","href":"/v3/advanced"}]},{"tab":"Examples","pages":[{"title":"Examples","href":"/v3/examples"}]},{"tab":"Integrations","pages":[{"title":"Integrations","href":"/integrations/integrations"}]},{"tab":"API Reference","groups":[{"group":"API Reference","pages":[{"title":"API \u0026 SDK References","sidebarTitle":"Overview","href":"/v3/api-ref"},{"title":"Settings reference","href":"/v3/api-ref/settings-ref"},{"group":"REST API","pages":[{"title":"REST API overview","href":"/v3/api-ref/rest-api/index"},{"group":"Cloud API","pages":[{"title":"Cloud API Overview","href":"/v3/api-ref/rest-api/cloud/index"}]},{"group":"Server API","pages":[{"title":"Server API Overview","href":"/v3/api-ref/rest-api/server/index"},{"group":"Root","pages":[{"openapi":"get /health","title":"Health Check","href":"/v3/api-ref/rest-api/server/root/health-check"},{"openapi":"get /version","title":"Server Version","href":"/v3/api-ref/rest-api/server/root/server-version"},{"openapi":"get /hello","title":"Hello","href":"/v3/api-ref/rest-api/server/root/hello"},{"openapi":"get /ready","title":"Perform Readiness Check","href":"/v3/api-ref/rest-api/server/root/perform-readiness-check"}]},{"group":"Flows","pages":[{"openapi":"post /flows/","title":"Create Flow","href":"/v3/api-ref/rest-api/server/flows/create-flow"},{"openapi":"get /flows/{id}","title":"Read Flow","href":"/v3/api-ref/rest-api/server/flows/read-flow"},{"openapi":"delete /flows/{id}","title":"Delete Flow","href":"/v3/api-ref/rest-api/server/flows/delete-flow"},{"openapi":"patch /flows/{id}","title":"Update Flow","href":"/v3/api-ref/rest-api/server/flows/update-flow"},{"openapi":"post /flows/count","title":"Count Flows","href":"/v3/api-ref/rest-api/server/flows/count-flows"},{"openapi":"get /flows/name/{name}","title":"Read Flow By Name","href":"/v3/api-ref/rest-api/server/flows/read-flow-by-name"},{"openapi":"post /flows/filter","title":"Read Flows","href":"/v3/api-ref/rest-api/server/flows/read-flows"},{"openapi":"post /flows/bulk_delete","title":"Bulk Delete Flows","href":"/v3/api-ref/rest-api/server/flows/bulk-delete-flows"},{"openapi":"post /flows/paginate","title":"Paginate Flows","href":"/v3/api-ref/rest-api/server/flows/paginate-flows"}]},{"group":"Flow Runs","pages":[{"openapi":"post /flow_runs/","title":"Create Flow Run","href":"/v3/api-ref/rest-api/server/flow-runs/create-flow-run"},{"openapi":"get /flow_runs/{id}","title":"Read Flow Run","href":"/v3/api-ref/rest-api/server/flow-runs/read-flow-run"},{"openapi":"delete /flow_runs/{id}","title":"Delete Flow Run","href":"/v3/api-ref/rest-api/server/flow-runs/delete-flow-run"},{"openapi":"patch /flow_runs/{id}","title":"Update Flow Run","href":"/v3/api-ref/rest-api/server/flow-runs/update-flow-run"},{"openapi":"post /flow_runs/count","title":"Count Flow Runs","href":"/v3/api-ref/rest-api/server/flow-runs/count-flow-runs"},{"openapi":"post /flow_runs/lateness","title":"Average Flow Run Lateness","href":"/v3/api-ref/rest-api/server/flow-runs/average-flow-run-lateness"},{"openapi":"post /flow_runs/history","title":"Flow Run History","href":"/v3/api-ref/rest-api/server/flow-runs/flow-run-history"},{"openapi":"get /flow_runs/{id}/graph","title":"Read Flow Run Graph V1","href":"/v3/api-ref/rest-api/server/flow-runs/read-flow-run-graph-v1"},{"openapi":"get /flow_runs/{id}/graph-v2","title":"Read Flow Run Graph V2","href":"/v3/api-ref/rest-api/server/flow-runs/read-flow-run-graph-v2"},{"openapi":"post /flow_runs/{id}/resume","title":"Resume Flow Run","href":"/v3/api-ref/rest-api/server/flow-runs/resume-flow-run"},{"openapi":"post /flow_runs/filter","title":"Read Flow Runs","href":"/v3/api-ref/rest-api/server/flow-runs/read-flow-runs"},{"openapi":"post /flow_runs/bulk_delete","title":"Bulk Delete Flow Runs","href":"/v3/api-ref/rest-api/server/flow-runs/bulk-delete-flow-runs"},{"openapi":"post /flow_runs/bulk_set_state","title":"Bulk Set Flow Run State","href":"/v3/api-ref/rest-api/server/flow-runs/bulk-set-flow-run-state"},{"openapi":"post /flow_runs/{id}/set_state","title":"Set Flow Run State","href":"/v3/api-ref/rest-api/server/flow-runs/set-flow-run-state"},{"openapi":"post /flow_runs/{id}/input","title":"Create Flow Run Input","href":"/v3/api-ref/rest-api/server/flow-runs/create-flow-run-input"},{"openapi":"post /flow_runs/{id}/input/filter","title":"Filter Flow Run Input","href":"/v3/api-ref/rest-api/server/flow-runs/filter-flow-run-input"},{"openapi":"get /flow_runs/{id}/input/{key}","title":"Read Flow Run Input","href":"/v3/api-ref/rest-api/server/flow-runs/read-flow-run-input"},{"openapi":"delete /flow_runs/{id}/input/{key}","title":"Delete Flow Run Input","href":"/v3/api-ref/rest-api/server/flow-runs/delete-flow-run-input"},{"openapi":"post /flow_runs/filter","title":"Read Flow Runs","href":"/v3/api-ref/rest-api/server/flow-runs/paginate-flow-runs"},{"openapi":"get /flow_runs/{id}/logs/download","title":"Download Logs","href":"/v3/api-ref/rest-api/server/flow-runs/download-logs"},{"openapi":"patch /flow_runs/{id}/labels","title":"Update Flow Run Labels","href":"/v3/api-ref/rest-api/server/flow-runs/update-flow-run-labels"}]},{"group":"Task Runs","pages":[{"openapi":"post /task_runs/","title":"Create Task Run","href":"/v3/api-ref/rest-api/server/task-runs/create-task-run"},{"openapi":"get /task_runs/{id}","title":"Read Task Run","href":"/v3/api-ref/rest-api/server/task-runs/read-task-run"},{"openapi":"delete /task_runs/{id}","title":"Delete Task Run","href":"/v3/api-ref/rest-api/server/task-runs/delete-task-run"},{"openapi":"patch /task_runs/{id}","title":"Update Task Run","href":"/v3/api-ref/rest-api/server/task-runs/update-task-run"},{"openapi":"post /task_runs/count","title":"Count Task Runs","href":"/v3/api-ref/rest-api/server/task-runs/count-task-runs"},{"openapi":"post /task_runs/history","title":"Task Run History","href":"/v3/api-ref/rest-api/server/task-runs/task-run-history"},{"openapi":"post /task_runs/filter","title":"Read Task Runs","href":"/v3/api-ref/rest-api/server/task-runs/read-task-runs"},{"openapi":"post /task_runs/paginate","title":"Paginate Task Runs","href":"/v3/api-ref/rest-api/server/task-runs/paginate-task-runs"},{"openapi":"post /task_runs/{id}/set_state","title":"Set Task Run State","href":"/v3/api-ref/rest-api/server/task-runs/set-task-run-state"}]},{"group":"Flow Run States","pages":[{"openapi":"get /flow_run_states/{id}","title":"Read Flow Run State","href":"/v3/api-ref/rest-api/server/flow-run-states/read-flow-run-state"},{"openapi":"get /flow_run_states/","title":"Read Flow Run States","href":"/v3/api-ref/rest-api/server/flow-run-states/read-flow-run-states"}]},{"group":"Task Run States","pages":[{"openapi":"get /task_run_states/{id}","title":"Read Task Run State","href":"/v3/api-ref/rest-api/server/task-run-states/read-task-run-state"},{"openapi":"get /task_run_states/","title":"Read Task Run States","href":"/v3/api-ref/rest-api/server/task-run-states/read-task-run-states"}]},{"group":"Observed States","pages":[{"openapi":"get /observed-states","title":"Read Observed States","href":"/v3/api-ref/rest-api/server/observed-states/read-observed-states"}]},{"group":"Deployments","pages":[{"openapi":"post /deployments/","title":"Create Deployment","href":"/v3/api-ref/rest-api/server/deployments/create-deployment"},{"openapi":"get /deployments/{id}","title":"Read Deployment","href":"/v3/api-ref/rest-api/server/deployments/read-deployment"},{"openapi":"delete /deployments/{id}","title":"Delete Deployment","href":"/v3/api-ref/rest-api/server/deployments/delete-deployment"},{"openapi":"patch /deployments/{id}","title":"Update Deployment","href":"/v3/api-ref/rest-api/server/deployments/update-deployment"},{"openapi":"get /deployments/name/{flow_name}/{deployment_name}","title":"Read Deployment By Name","href":"/v3/api-ref/rest-api/server/deployments/read-deployment-by-name"},{"openapi":"post /deployments/filter","title":"Read Deployments","href":"/v3/api-ref/rest-api/server/deployments/read-deployments"},{"openapi":"post /deployments/paginate","title":"Paginate Deployments","href":"/v3/api-ref/rest-api/server/deployments/paginate-deployments"},{"openapi":"post /deployments/get_scheduled_flow_runs","title":"Get Scheduled Flow Runs For Deployments","href":"/v3/api-ref/rest-api/server/deployments/get-scheduled-flow-runs-for-deployments"},{"openapi":"post /deployments/count","title":"Count Deployments","href":"/v3/api-ref/rest-api/server/deployments/count-deployments"},{"openapi":"post /deployments/bulk_delete","title":"Bulk Delete Deployments","href":"/v3/api-ref/rest-api/server/deployments/bulk-delete-deployments"},{"openapi":"post /deployments/{id}/schedule","title":"Schedule Deployment","href":"/v3/api-ref/rest-api/server/deployments/schedule-deployment"},{"openapi":"post /deployments/{id}/resume_deployment","title":"Resume Deployment","href":"/v3/api-ref/rest-api/server/deployments/resume-deployment"},{"openapi":"post /deployments/{id}/pause_deployment","title":"Pause Deployment","href":"/v3/api-ref/rest-api/server/deployments/pause-deployment"},{"openapi":"post /deployments/{id}/create_flow_run","title":"Create Flow Run From Deployment","href":"/v3/api-ref/rest-api/server/deployments/create-flow-run-from-deployment"},{"openapi":"post /deployments/{id}/create_flow_run/bulk","title":"Bulk Create Flow Runs From Deployment","href":"/v3/api-ref/rest-api/server/deployments/bulk-create-flow-runs-from-deployment"},{"openapi":"get /deployments/{id}/work_queue_check","title":"Work Queue Check For Deployment","href":"/v3/api-ref/rest-api/server/deployments/work-queue-check-for-deployment"},{"openapi":"get /deployments/{id}/schedules","title":"Read Deployment Schedules","description":null,"href":"/v3/api-ref/rest-api/server/deployments/read-deployment-schedules"},{"openapi":"post /deployments/{id}/schedules","title":"Create Deployment Schedules","href":"/v3/api-ref/rest-api/server/deployments/create-deployment-schedules"},{"openapi":"delete /deployments/{id}/schedules/{schedule_id}","title":"Delete Deployment Schedule","description":null,"href":"/v3/api-ref/rest-api/server/deployments/delete-deployment-schedule"},{"openapi":"patch /deployments/{id}/schedules/{schedule_id}","title":"Update Deployment Schedule","href":"/v3/api-ref/rest-api/server/deployments/update-deployment-schedule"}]},{"group":"SavedSearches","pages":[{"openapi":"put /saved_searches/","title":"Create Saved Search","href":"/v3/api-ref/rest-api/server/savedsearches/create-saved-search"},{"openapi":"get /saved_searches/{id}","title":"Read Saved Search","href":"/v3/api-ref/rest-api/server/savedsearches/read-saved-search"},{"openapi":"delete /saved_searches/{id}","title":"Delete Saved Search","href":"/v3/api-ref/rest-api/server/savedsearches/delete-saved-search"},{"openapi":"post /saved_searches/filter","title":"Read Saved Searches","href":"/v3/api-ref/rest-api/server/savedsearches/read-saved-searches"}]},{"group":"Logs","pages":[{"openapi":"post /logs/","title":"Create Logs","href":"/v3/api-ref/rest-api/server/logs/create-logs"},{"openapi":"post /logs/filter","title":"Read Logs","href":"/v3/api-ref/rest-api/server/logs/read-logs"}]},{"group":"Concurrency Limits","pages":[{"openapi":"post /concurrency_limits/","title":"Create Concurrency Limit","href":"/v3/api-ref/rest-api/server/concurrency-limits/create-concurrency-limit"},{"openapi":"get /concurrency_limits/{id}","title":"Read Concurrency Limit","href":"/v3/api-ref/rest-api/server/concurrency-limits/read-concurrency-limit"},{"openapi":"delete /concurrency_limits/{id}","title":"Delete Concurrency Limit","href":"/v3/api-ref/rest-api/server/concurrency-limits/delete-concurrency-limit"},{"openapi":"get /concurrency_limits/tag/{tag}","title":"Read Concurrency Limit By Tag","href":"/v3/api-ref/rest-api/server/concurrency-limits/read-concurrency-limit-by-tag"},{"openapi":"delete /concurrency_limits/tag/{tag}","title":"Delete Concurrency Limit By Tag","href":"/v3/api-ref/rest-api/server/concurrency-limits/delete-concurrency-limit-by-tag"},{"openapi":"post /concurrency_limits/filter","title":"Read Concurrency Limits","href":"/v3/api-ref/rest-api/server/concurrency-limits/read-concurrency-limits"},{"openapi":"post /concurrency_limits/tag/{tag}/reset","title":"Reset Concurrency Limit By Tag","href":"/v3/api-ref/rest-api/server/concurrency-limits/reset-concurrency-limit-by-tag"},{"openapi":"post /concurrency_limits/increment","title":"Increment Concurrency Limits V1","href":"/v3/api-ref/rest-api/server/concurrency-limits/increment-concurrency-limits-v1"},{"openapi":"post /concurrency_limits/decrement","title":"Decrement Concurrency Limits V1","href":"/v3/api-ref/rest-api/server/concurrency-limits/decrement-concurrency-limits-v1"}]},{"group":"Concurrency Limits V2","pages":[{"openapi":"post /v2/concurrency_limits/","title":"Create Concurrency Limit V2","href":"/v3/api-ref/rest-api/server/concurrency-limits-v2/create-concurrency-limit-v2"},{"openapi":"get /v2/concurrency_limits/{id_or_name}","title":"Read Concurrency Limit V2","href":"/v3/api-ref/rest-api/server/concurrency-limits-v2/read-concurrency-limit-v2"},{"openapi":"delete /v2/concurrency_limits/{id_or_name}","title":"Delete Concurrency Limit V2","href":"/v3/api-ref/rest-api/server/concurrency-limits-v2/delete-concurrency-limit-v2"},{"openapi":"patch /v2/concurrency_limits/{id_or_name}","title":"Update Concurrency Limit V2","href":"/v3/api-ref/rest-api/server/concurrency-limits-v2/update-concurrency-limit-v2"},{"openapi":"post /v2/concurrency_limits/filter","title":"Read All Concurrency Limits V2","href":"/v3/api-ref/rest-api/server/concurrency-limits-v2/read-all-concurrency-limits-v2"},{"openapi":"post /v2/concurrency_limits/increment","title":"Bulk Increment Active Slots","href":"/v3/api-ref/rest-api/server/concurrency-limits-v2/bulk-increment-active-slots"},{"openapi":"post /v2/concurrency_limits/increment-with-lease","title":"Bulk Increment Active Slots With Lease","href":"/v3/api-ref/rest-api/server/concurrency-limits-v2/bulk-increment-active-slots-with-lease"},{"openapi":"post /v2/concurrency_limits/decrement","title":"Bulk Decrement Active Slots","href":"/v3/api-ref/rest-api/server/concurrency-limits-v2/bulk-decrement-active-slots"},{"openapi":"post /v2/concurrency_limits/decrement-with-lease","title":"Bulk Decrement Active Slots With Lease","href":"/v3/api-ref/rest-api/server/concurrency-limits-v2/bulk-decrement-active-slots-with-lease"},{"openapi":"post /v2/concurrency_limits/leases/{lease_id}/renew","title":"Renew Concurrency Lease","href":"/v3/api-ref/rest-api/server/concurrency-limits-v2/renew-concurrency-lease"}]},{"group":"Block types","pages":[{"openapi":"post /block_types/","title":"Create Block Type","href":"/v3/api-ref/rest-api/server/block-types/create-block-type"},{"openapi":"get /block_types/{id}","title":"Read Block Type By Id","href":"/v3/api-ref/rest-api/server/block-types/read-block-type-by-id"},{"openapi":"delete /block_types/{id}","title":"Delete Block Type","href":"/v3/api-ref/rest-api/server/block-types/delete-block-type"},{"openapi":"patch /block_types/{id}","title":"Update Block Type","href":"/v3/api-ref/rest-api/server/block-types/update-block-type"},{"openapi":"get /block_types/slug/{slug}","title":"Read Block Type By Slug","href":"/v3/api-ref/rest-api/server/block-types/read-block-type-by-slug"},{"openapi":"post /block_types/filter","title":"Read Block Types","href":"/v3/api-ref/rest-api/server/block-types/read-block-types"},{"openapi":"get /block_types/slug/{slug}/block_documents","title":"Read Block Documents For Block Type","href":"/v3/api-ref/rest-api/server/block-types/read-block-documents-for-block-type"},{"openapi":"get /block_types/slug/{slug}/block_documents/name/{block_document_name}","title":"Read Block Document By Name For Block Type","href":"/v3/api-ref/rest-api/server/block-types/read-block-document-by-name-for-block-type"},{"openapi":"post /block_types/install_system_block_types","title":"Install System Block Types","href":"/v3/api-ref/rest-api/server/block-types/install-system-block-types"}]},{"group":"Block documents","pages":[{"openapi":"post /block_documents/","title":"Create Block Document","href":"/v3/api-ref/rest-api/server/block-documents/create-block-document"},{"openapi":"post /block_documents/filter","title":"Read Block Documents","href":"/v3/api-ref/rest-api/server/block-documents/read-block-documents"},{"openapi":"post /block_documents/count","title":"Count Block Documents","href":"/v3/api-ref/rest-api/server/block-documents/count-block-documents"},{"openapi":"get /block_documents/{id}","title":"Read Block Document By Id","href":"/v3/api-ref/rest-api/server/block-documents/read-block-document-by-id"},{"openapi":"delete /block_documents/{id}","title":"Delete Block Document","href":"/v3/api-ref/rest-api/server/block-documents/delete-block-document"},{"openapi":"patch /block_documents/{id}","title":"Update Block Document Data","href":"/v3/api-ref/rest-api/server/block-documents/update-block-document-data"}]},{"group":"Work Pools","pages":[{"openapi":"post /work_pools/","title":"Create Work Pool","href":"/v3/api-ref/rest-api/server/work-pools/create-work-pool"},{"openapi":"get /work_pools/{name}","title":"Read Work Pool","href":"/v3/api-ref/rest-api/server/work-pools/read-work-pool"},{"openapi":"delete /work_pools/{name}","title":"Delete Work Pool","href":"/v3/api-ref/rest-api/server/work-pools/delete-work-pool"},{"openapi":"patch /work_pools/{name}","title":"Update Work Pool","href":"/v3/api-ref/rest-api/server/work-pools/update-work-pool"},{"openapi":"post /work_pools/filter","title":"Read Work Pools","href":"/v3/api-ref/rest-api/server/work-pools/read-work-pools"},{"openapi":"post /work_pools/count","title":"Count Work Pools","href":"/v3/api-ref/rest-api/server/work-pools/count-work-pools"},{"openapi":"post /work_pools/{name}/concurrency_status","title":"Read Work Pool Concurrency Status","href":"/v3/api-ref/rest-api/server/work-pools/read-work-pool-concurrency-status"},{"openapi":"post /work_pools/{name}/get_scheduled_flow_runs","title":"Get Scheduled Flow Runs","href":"/v3/api-ref/rest-api/server/work-pools/get-scheduled-flow-runs"},{"openapi":"post /work_pools/{work_pool_name}/queues","title":"Create Work Queue","href":"/v3/api-ref/rest-api/server/work-pools/create-work-queue"},{"openapi":"get /work_pools/{work_pool_name}/queues/{name}","title":"Read Work Queue","href":"/v3/api-ref/rest-api/server/work-pools/read-work-queue"},{"openapi":"delete /work_pools/{work_pool_name}/queues/{name}","title":"Delete Work Queue","href":"/v3/api-ref/rest-api/server/work-pools/delete-work-queue"},{"openapi":"patch /work_pools/{work_pool_name}/queues/{name}","title":"Update Work Queue","href":"/v3/api-ref/rest-api/server/work-pools/update-work-queue"},{"openapi":"post /work_pools/{work_pool_name}/queues/filter","title":"Read Work Queues","href":"/v3/api-ref/rest-api/server/work-pools/read-work-queues"},{"openapi":"post /work_pools/{work_pool_name}/workers/heartbeat","title":"Worker Heartbeat","href":"/v3/api-ref/rest-api/server/work-pools/worker-heartbeat"},{"openapi":"post /work_pools/{work_pool_name}/workers/filter","title":"Read Workers","href":"/v3/api-ref/rest-api/server/work-pools/read-workers"},{"openapi":"delete /work_pools/{work_pool_name}/workers/{name}","title":"Delete Worker","href":"/v3/api-ref/rest-api/server/work-pools/delete-worker"}]},{"group":"Task Workers","pages":[{"openapi":"post /task_workers/filter","title":"Read Task Workers","href":"/v3/api-ref/rest-api/server/task-workers/read-task-workers"}]},{"group":"Work Queues","pages":[{"openapi":"post /work_queues/","title":"Create Work Queue","href":"/v3/api-ref/rest-api/server/work-queues/create-work-queue"},{"openapi":"get /work_queues/{id}","title":"Read Work Queue","href":"/v3/api-ref/rest-api/server/work-queues/read-work-queue"},{"openapi":"delete /work_queues/{id}","title":"Delete Work Queue","href":"/v3/api-ref/rest-api/server/work-queues/delete-work-queue"},{"openapi":"patch /work_queues/{id}","title":"Update Work Queue","href":"/v3/api-ref/rest-api/server/work-queues/update-work-queue"},{"openapi":"get /work_queues/name/{name}","title":"Read Work Queue By Name","href":"/v3/api-ref/rest-api/server/work-queues/read-work-queue-by-name"},{"openapi":"post /work_queues/{id}/get_runs","title":"Read Work Queue Runs","href":"/v3/api-ref/rest-api/server/work-queues/read-work-queue-runs"},{"openapi":"post /work_queues/filter","title":"Read Work Queues","href":"/v3/api-ref/rest-api/server/work-queues/read-work-queues"},{"openapi":"post /work_queues/{id}/concurrency_status","title":"Read Work Queue Concurrency Status","href":"/v3/api-ref/rest-api/server/work-queues/read-work-queue-concurrency-status"},{"openapi":"get /work_queues/{id}/status","title":"Read Work Queue Status","href":"/v3/api-ref/rest-api/server/work-queues/read-work-queue-status"}]},{"group":"Artifacts","pages":[{"openapi":"post /artifacts/","title":"Create Artifact","href":"/v3/api-ref/rest-api/server/artifacts/create-artifact"},{"openapi":"get /artifacts/{id}","title":"Read Artifact","href":"/v3/api-ref/rest-api/server/artifacts/read-artifact"},{"openapi":"delete /artifacts/{id}","title":"Delete Artifact","href":"/v3/api-ref/rest-api/server/artifacts/delete-artifact"},{"openapi":"patch /artifacts/{id}","title":"Update Artifact","href":"/v3/api-ref/rest-api/server/artifacts/update-artifact"},{"openapi":"get /artifacts/{key}/latest","title":"Read Latest Artifact","href":"/v3/api-ref/rest-api/server/artifacts/read-latest-artifact"},{"openapi":"post /artifacts/filter","title":"Read Artifacts","href":"/v3/api-ref/rest-api/server/artifacts/read-artifacts"},{"openapi":"post /artifacts/latest/filter","title":"Read Latest Artifacts","href":"/v3/api-ref/rest-api/server/artifacts/read-latest-artifacts"},{"openapi":"post /artifacts/count","title":"Count Artifacts","href":"/v3/api-ref/rest-api/server/artifacts/count-artifacts"},{"openapi":"post /artifacts/latest/count","title":"Count Latest Artifacts","href":"/v3/api-ref/rest-api/server/artifacts/count-latest-artifacts"}]},{"group":"Block schemas","pages":[{"openapi":"post /block_schemas/","title":"Create Block Schema","href":"/v3/api-ref/rest-api/server/block-schemas/create-block-schema"},{"openapi":"get /block_schemas/{id}","title":"Read Block Schema By Id","href":"/v3/api-ref/rest-api/server/block-schemas/read-block-schema-by-id"},{"openapi":"delete /block_schemas/{id}","title":"Delete Block Schema","href":"/v3/api-ref/rest-api/server/block-schemas/delete-block-schema"},{"openapi":"post /block_schemas/filter","title":"Read Block Schemas","href":"/v3/api-ref/rest-api/server/block-schemas/read-block-schemas"},{"openapi":"get /block_schemas/checksum/{checksum}","title":"Read Block Schema By Checksum","href":"/v3/api-ref/rest-api/server/block-schemas/read-block-schema-by-checksum"}]},{"group":"Block capabilities","pages":[{"openapi":"get /block_capabilities/","title":"Read Available Block Capabilities","href":"/v3/api-ref/rest-api/server/block-capabilities/read-available-block-capabilities"}]},{"group":"Collections","pages":[{"openapi":"get /collections/views/{view}","title":"Read View Content","href":"/v3/api-ref/rest-api/server/collections/read-view-content"}]},{"group":"Variables","pages":[{"openapi":"post /variables/","title":"Create Variable","href":"/v3/api-ref/rest-api/server/variables/create-variable"},{"openapi":"get /variables/{id}","title":"Read Variable","href":"/v3/api-ref/rest-api/server/variables/read-variable"},{"openapi":"delete /variables/{id}","title":"Delete Variable","href":"/v3/api-ref/rest-api/server/variables/delete-variable"},{"openapi":"patch /variables/{id}","title":"Update Variable","href":"/v3/api-ref/rest-api/server/variables/update-variable"},{"openapi":"get /variables/name/{name}","title":"Read Variable By Name","href":"/v3/api-ref/rest-api/server/variables/read-variable-by-name"},{"openapi":"delete /variables/name/{name}","title":"Delete Variable By Name","href":"/v3/api-ref/rest-api/server/variables/delete-variable-by-name"},{"openapi":"patch /variables/name/{name}","title":"Update Variable By Name","href":"/v3/api-ref/rest-api/server/variables/update-variable-by-name"},{"openapi":"post /variables/filter","title":"Read Variables","href":"/v3/api-ref/rest-api/server/variables/read-variables"},{"openapi":"post /variables/count","title":"Count Variables","href":"/v3/api-ref/rest-api/server/variables/count-variables"}]},{"openapi":"get /csrf-token","title":"Create Csrf Token","href":"/v3/api-ref/rest-api/server/create-csrf-token"},{"group":"Events","pages":[{"openapi":"post /events","title":"Create Events","href":"/v3/api-ref/rest-api/server/events/create-events"},{"openapi":"post /events/filter","title":"Read Events","href":"/v3/api-ref/rest-api/server/events/read-events"},{"openapi":"get /events/filter/next","title":"Read Account Events Page","href":"/v3/api-ref/rest-api/server/events/read-account-events-page"},{"openapi":"post /events/count-by/{countable}","title":"Count Account Events","href":"/v3/api-ref/rest-api/server/events/count-account-events"}]},{"group":"Automations","pages":[{"openapi":"post /automations/","title":"Create Automation","href":"/v3/api-ref/rest-api/server/automations/create-automation"},{"openapi":"get /automations/{id}","title":"Read Automation","href":"/v3/api-ref/rest-api/server/automations/read-automation"},{"openapi":"put /automations/{id}","title":"Update Automation","href":"/v3/api-ref/rest-api/server/automations/update-automation"},{"openapi":"delete /automations/{id}","title":"Delete Automation","href":"/v3/api-ref/rest-api/server/automations/delete-automation"},{"openapi":"patch /automations/{id}","title":"Patch Automation","href":"/v3/api-ref/rest-api/server/automations/patch-automation"},{"openapi":"post /automations/filter","title":"Read Automations","href":"/v3/api-ref/rest-api/server/automations/read-automations"},{"openapi":"post /automations/count","title":"Count Automations","href":"/v3/api-ref/rest-api/server/automations/count-automations"},{"openapi":"get /automations/related-to/{resource_id}","title":"Read Automations Related To Resource","href":"/v3/api-ref/rest-api/server/automations/read-automations-related-to-resource"},{"openapi":"delete /automations/owned-by/{resource_id}","title":"Delete Automations Owned By Resource","href":"/v3/api-ref/rest-api/server/automations/delete-automations-owned-by-resource"},{"openapi":"post /templates/validate","title":"Validate Template","href":"/v3/api-ref/rest-api/server/automations/validate-template"},{"openapi":"post /automations/templates/validate","title":"Validate Template","href":"/v3/api-ref/rest-api/server/automations/validate-template-1"}]},{"group":"Admin","pages":[{"openapi":"get /admin/settings","title":"Read Settings","href":"/v3/api-ref/rest-api/server/admin/read-settings"},{"openapi":"get /admin/version","title":"Read Version","href":"/v3/api-ref/rest-api/server/admin/read-version"},{"openapi":"get /admin/storage","title":"Read Server Default Result Storage","href":"/v3/api-ref/rest-api/server/admin/read-server-default-result-storage"},{"openapi":"put /admin/storage","title":"Update Server Default Result Storage","href":"/v3/api-ref/rest-api/server/admin/update-server-default-result-storage"},{"openapi":"delete /admin/storage","title":"Clear Server Default Result Storage","href":"/v3/api-ref/rest-api/server/admin/clear-server-default-result-storage"}]}]}]},{"group":"Events","pages":[{"title":"Events reference","sidebarTitle":"Overview","href":"/v3/api-ref/events/index"},{"title":"Flow run events","href":"/v3/api-ref/events/flow-run-events"},{"title":"Task run events","href":"/v3/api-ref/events/task-run-events"},{"title":"Deployment events","href":"/v3/api-ref/events/deployment-events"},{"title":"Work pool and work queue events","href":"/v3/api-ref/events/work-pool-queue-events"},{"title":"Worker and runner events","href":"/v3/api-ref/events/worker-runner-events"},{"title":"Artifact and asset events","href":"/v3/api-ref/events/artifact-asset-events"},{"title":"Concurrency events","href":"/v3/api-ref/events/concurrency-events"},{"title":"Automation events","href":"/v3/api-ref/events/automation-events"},{"title":"Infrastructure events","href":"/v3/api-ref/events/infrastructure-events"},{"title":"Prefect Cloud events","href":"/v3/api-ref/events/cloud-events"}]},{"group":"CLI Reference","pages":[{"title":" ","sidebarTitle":"prefect artifact","href":"/v3/api-ref/cli/artifact"},{"title":" ","sidebarTitle":"prefect automation","href":"/v3/api-ref/cli/automation"},{"title":" ","sidebarTitle":"prefect block","href":"/v3/api-ref/cli/block"},{"title":" ","sidebarTitle":"prefect concurrency-limit","href":"/v3/api-ref/cli/concurrency-limit"},{"title":" ","sidebarTitle":"prefect config","href":"/v3/api-ref/cli/config"},{"title":" ","sidebarTitle":"prefect dashboard","href":"/v3/api-ref/cli/dashboard"},{"title":" ","sidebarTitle":"prefect deployment","href":"/v3/api-ref/cli/deployment"},{"title":" ","sidebarTitle":"prefect dev","href":"/v3/api-ref/cli/dev"},{"title":" ","sidebarTitle":"prefect event","href":"/v3/api-ref/cli/event"},{"title":" ","sidebarTitle":"prefect flow-run","href":"/v3/api-ref/cli/flow-run"},{"title":" ","sidebarTitle":"prefect flow","href":"/v3/api-ref/cli/flow"},{"title":" ","sidebarTitle":"prefect global-concurrency-limit","href":"/v3/api-ref/cli/global-concurrency-limit"},{"title":" ","sidebarTitle":"prefect init","href":"/v3/api-ref/cli/init"},{"title":" ","sidebarTitle":"prefect plugins","href":"/v3/api-ref/cli/plugins"},{"title":" ","sidebarTitle":"prefect profile","href":"/v3/api-ref/cli/profile"},{"title":" ","sidebarTitle":"prefect profiles","href":"/v3/api-ref/cli/profiles"},{"title":" ","sidebarTitle":"prefect sdk","href":"/v3/api-ref/cli/sdk"},{"title":" ","sidebarTitle":"prefect server","href":"/v3/api-ref/cli/server"},{"title":" ","sidebarTitle":"prefect shell","href":"/v3/api-ref/cli/shell"},{"title":" ","sidebarTitle":"prefect task-run","href":"/v3/api-ref/cli/task-run"},{"title":" ","sidebarTitle":"prefect task","href":"/v3/api-ref/cli/task"},{"title":" ","sidebarTitle":"prefect variable","href":"/v3/api-ref/cli/variable"},{"title":" ","sidebarTitle":"prefect version","href":"/v3/api-ref/cli/version"},{"title":" ","sidebarTitle":"prefect work-pool","href":"/v3/api-ref/cli/work-pool"},{"title":" ","sidebarTitle":"prefect work-queue","href":"/v3/api-ref/cli/work-queue"},{"title":" ","sidebarTitle":"prefect worker","href":"/v3/api-ref/cli/worker"}]},{"group":"Python SDK Reference","pages":[{"title":"artifacts","sidebarTitle":"artifacts","href":"/v3/api-ref/python/prefect-artifacts"},{"title":"automations","sidebarTitle":"automations","href":"/v3/api-ref/python/prefect-automations"},{"title":"cache_policies","sidebarTitle":"cache_policies","href":"/v3/api-ref/python/prefect-cache_policies"},{"title":"context","sidebarTitle":"context","href":"/v3/api-ref/python/prefect-context"},{"title":"engine","sidebarTitle":"engine","href":"/v3/api-ref/python/prefect-engine"},{"title":"exceptions","sidebarTitle":"exceptions","href":"/v3/api-ref/python/prefect-exceptions"},{"title":"filesystems","sidebarTitle":"filesystems","href":"/v3/api-ref/python/prefect-filesystems"},{"title":"flow_engine","sidebarTitle":"flow_engine","href":"/v3/api-ref/python/prefect-flow_engine"},{"title":"flow_runs","sidebarTitle":"flow_runs","href":"/v3/api-ref/python/prefect-flow_runs"},{"title":"flows","sidebarTitle":"flows","href":"/v3/api-ref/python/prefect-flows"},{"title":"futures","sidebarTitle":"futures","href":"/v3/api-ref/python/prefect-futures"},{"title":"plugins","sidebarTitle":"plugins","href":"/v3/api-ref/python/prefect-plugins"},{"title":"results","sidebarTitle":"results","href":"/v3/api-ref/python/prefect-results"},{"title":"schedules","sidebarTitle":"schedules","href":"/v3/api-ref/python/prefect-schedules"},{"title":"serializers","sidebarTitle":"serializers","href":"/v3/api-ref/python/prefect-serializers"},{"title":"states","sidebarTitle":"states","href":"/v3/api-ref/python/prefect-states"},{"title":"task_engine","sidebarTitle":"task_engine","href":"/v3/api-ref/python/prefect-task_engine"},{"title":"task_runners","sidebarTitle":"task_runners","href":"/v3/api-ref/python/prefect-task_runners"},{"title":"task_runs","sidebarTitle":"task_runs","href":"/v3/api-ref/python/prefect-task_runs"},{"title":"task_worker","sidebarTitle":"task_worker","href":"/v3/api-ref/python/prefect-task_worker"},{"title":"tasks","sidebarTitle":"tasks","href":"/v3/api-ref/python/prefect-tasks"},{"title":"transactions","sidebarTitle":"transactions","href":"/v3/api-ref/python/prefect-transactions"},{"title":"variables","sidebarTitle":"variables","href":"/v3/api-ref/python/prefect-variables"},{"group":"prefect.assets","pages":[{"title":"core","sidebarTitle":"core","href":"/v3/api-ref/python/prefect-assets-core"},{"title":"materialize","sidebarTitle":"materialize","href":"/v3/api-ref/python/prefect-assets-materialize"}]},{"group":"prefect.blocks","pages":[{"title":"abstract","sidebarTitle":"abstract","href":"/v3/api-ref/python/prefect-blocks-abstract"},{"title":"core","sidebarTitle":"core","href":"/v3/api-ref/python/prefect-blocks-core"},{"title":"notifications","sidebarTitle":"notifications","href":"/v3/api-ref/python/prefect-blocks-notifications"},{"title":"redis","sidebarTitle":"redis","href":"/v3/api-ref/python/prefect-blocks-redis"},{"title":"system","sidebarTitle":"system","href":"/v3/api-ref/python/prefect-blocks-system"},{"title":"webhook","sidebarTitle":"webhook","href":"/v3/api-ref/python/prefect-blocks-webhook"}]},{"group":"prefect.bundles","pages":[{"title":"__init__","sidebarTitle":"__init__","href":"/v3/api-ref/python/prefect-bundles-__init__"},{"title":"execute","sidebarTitle":"execute","href":"/v3/api-ref/python/prefect-bundles-execute"}]},{"group":"prefect.cli","pages":[{"title":"api","sidebarTitle":"api","href":"/v3/api-ref/python/prefect-cli-api"},{"title":"artifact","sidebarTitle":"artifact","href":"/v3/api-ref/python/prefect-cli-artifact"},{"title":"automation","sidebarTitle":"automation","href":"/v3/api-ref/python/prefect-cli-automation"},{"title":"block","sidebarTitl
[...]
